/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class ActivityManager {

ActivityManager() { throw new RuntimeException("Stub!"); }

public int getMemoryClass() { throw new RuntimeException("Stub!"); }

public int getLargeMemoryClass() { throw new RuntimeException("Stub!"); }

public boolean isLowRamDevice() { throw new RuntimeException("Stub!"); }

@Deprecated
public java.util.List<android.app.ActivityManager.RecentTaskInfo> getRecentTasks(int maxNum, int flags) throws java.lang.SecurityException { throw new RuntimeException("Stub!"); }

public java.util.List<android.app.ActivityManager.AppTask> getAppTasks() { throw new RuntimeException("Stub!"); }

public android.util.Size getAppTaskThumbnailSize() { throw new RuntimeException("Stub!"); }

public int addAppTask(@android.annotation.NonNull android.app.Activity activity, @android.annotation.NonNull android.content.Intent intent, @android.annotation.Nullable android.app.ActivityManager.TaskDescription description, @android.annotation.NonNull android.graphics.Bitmap thumbnail) { throw new RuntimeException("Stub!"); }

@Deprecated
public java.util.List<android.app.ActivityManager.RunningTaskInfo> getRunningTasks(int maxNum) throws java.lang.SecurityException { throw new RuntimeException("Stub!"); }

public void moveTaskToFront(int taskId, int flags) { throw new RuntimeException("Stub!"); }

public void moveTaskToFront(int taskId, int flags, android.os.Bundle options) { throw new RuntimeException("Stub!"); }

public boolean isActivityStartAllowedOnDisplay(@android.annotation.NonNull android.content.Context context, int displayId, @android.annotation.NonNull android.content.Intent intent) { throw new RuntimeException("Stub!"); }

@Deprecated
public java.util.List<android.app.ActivityManager.RunningServiceInfo> getRunningServices(int maxNum) throws java.lang.SecurityException { throw new RuntimeException("Stub!"); }

public android.app.PendingIntent getRunningServiceControlPanel(android.content.ComponentName service) throws java.lang.SecurityException { throw new RuntimeException("Stub!"); }

public void getMemoryInfo(android.app.ActivityManager.MemoryInfo outInfo) { throw new RuntimeException("Stub!"); }

public boolean clearApplicationUserData() { throw new RuntimeException("Stub!"); }

public java.util.List<android.app.ActivityManager.ProcessErrorStateInfo> getProcessesInErrorState() { throw new RuntimeException("Stub!"); }

public boolean isBackgroundRestricted() { throw new RuntimeException("Stub!"); }

public java.util.List<android.app.ActivityManager.RunningAppProcessInfo> getRunningAppProcesses() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.app.ApplicationExitInfo> getHistoricalProcessExitReasons(@android.annotation.Nullable java.lang.String packageName, int pid, int maxNum) { throw new RuntimeException("Stub!"); }

public void setProcessStateSummary(@android.annotation.Nullable byte[] state) { throw new RuntimeException("Stub!"); }

public static boolean isLowMemoryKillReportSupported() { throw new RuntimeException("Stub!"); }

public static void getMyMemoryState(android.app.ActivityManager.RunningAppProcessInfo outState) { throw new RuntimeException("Stub!"); }

public android.os.Debug.MemoryInfo[] getProcessMemoryInfo(int[] pids) { throw new RuntimeException("Stub!"); }

@Deprecated
public void restartPackage(java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public void killBackgroundProcesses(java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public android.content.pm.ConfigurationInfo getDeviceConfigurationInfo() { throw new RuntimeException("Stub!"); }

public int getLauncherLargeIconDensity() { throw new RuntimeException("Stub!"); }

public int getLauncherLargeIconSize() { throw new RuntimeException("Stub!"); }

public static boolean isUserAMonkey() { throw new RuntimeException("Stub!"); }

@Deprecated
public static boolean isRunningInTestHarness() { throw new RuntimeException("Stub!"); }

public static boolean isRunningInUserTestHarness() { throw new RuntimeException("Stub!"); }

public void dumpPackageState(java.io.FileDescriptor fd, java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public void setWatchHeapLimit(long pssSize) { throw new RuntimeException("Stub!"); }

public void clearWatchHeapLimit() { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean isInLockTaskMode() { throw new RuntimeException("Stub!"); }

public int getLockTaskModeState() { throw new RuntimeException("Stub!"); }

public static void setVrThread(int tid) { throw new RuntimeException("Stub!"); }

public void appNotResponding(@android.annotation.NonNull java.lang.String reason) { throw new RuntimeException("Stub!"); }

public static final java.lang.String ACTION_REPORT_HEAP_LIMIT = "android.app.action.REPORT_HEAP_LIMIT";

public static final int LOCK_TASK_MODE_LOCKED = 1; // 0x1

public static final int LOCK_TASK_MODE_NONE = 0; // 0x0

public static final int LOCK_TASK_MODE_PINNED = 2; // 0x2

public static final java.lang.String META_HOME_ALTERNATE = "android.app.home.alternate";

public static final int MOVE_TASK_NO_USER_ACTION = 2; // 0x2

public static final int MOVE_TASK_WITH_HOME = 1; // 0x1

public static final int RECENT_IGNORE_UNAVAILABLE = 2; // 0x2

public static final int RECENT_WITH_EXCLUDED = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class AppTask {

AppTask() { throw new RuntimeException("Stub!"); }

public void finishAndRemoveTask() { throw new RuntimeException("Stub!"); }

public android.app.ActivityManager.RecentTaskInfo getTaskInfo() { throw new RuntimeException("Stub!"); }

public void moveToFront() { throw new RuntimeException("Stub!"); }

public void startActivity(android.content.Context context, android.content.Intent intent, android.os.Bundle options) { throw new RuntimeException("Stub!"); }

public void setExcludeFromRecents(boolean exclude) { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class MemoryInfo implements android.os.Parcelable {

public MemoryInfo() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ActivityManager.MemoryInfo> CREATOR;
static { CREATOR = null; }

public long availMem;

public boolean lowMemory;

public long threshold;

public long totalMem;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class ProcessErrorStateInfo implements android.os.Parcelable {

public ProcessErrorStateInfo() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

public static final int CRASHED = 1; // 0x1

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ActivityManager.ProcessErrorStateInfo> CREATOR;
static { CREATOR = null; }

public static final int NOT_RESPONDING = 2; // 0x2

public static final int NO_ERROR = 0; // 0x0

public int condition;

public byte[] crashData;

public java.lang.String longMsg;

public int pid;

public java.lang.String processName;

public java.lang.String shortMsg;

public java.lang.String stackTrace;

public java.lang.String tag;

public int uid;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class RecentTaskInfo extends android.app.TaskInfo implements android.os.Parcelable {

public RecentTaskInfo() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ActivityManager.RecentTaskInfo> CREATOR;
static { CREATOR = null; }

@Deprecated public int affiliatedTaskId;

@Deprecated public java.lang.CharSequence description;

@Deprecated public int id;

@Deprecated public int persistentId;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class RunningAppProcessInfo implements android.os.Parcelable {

public RunningAppProcessInfo() { throw new RuntimeException("Stub!"); }

public RunningAppProcessInfo(java.lang.String pProcessName, int pPid, java.lang.String[] pArr) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ActivityManager.RunningAppProcessInfo> CREATOR;
static { CREATOR = null; }

@Deprecated public static final int IMPORTANCE_BACKGROUND = 400; // 0x190

public static final int IMPORTANCE_CACHED = 400; // 0x190

public static final int IMPORTANCE_CANT_SAVE_STATE = 350; // 0x15e

@Deprecated public static final int IMPORTANCE_EMPTY = 500; // 0x1f4

public static final int IMPORTANCE_FOREGROUND = 100; // 0x64

public static final int IMPORTANCE_FOREGROUND_SERVICE = 125; // 0x7d

public static final int IMPORTANCE_GONE = 1000; // 0x3e8

public static final int IMPORTANCE_PERCEPTIBLE = 230; // 0xe6

public static final int IMPORTANCE_PERCEPTIBLE_PRE_26 = 130; // 0x82

public static final int IMPORTANCE_SERVICE = 300; // 0x12c

public static final int IMPORTANCE_TOP_SLEEPING = 325; // 0x145

@Deprecated public static final int IMPORTANCE_TOP_SLEEPING_PRE_28 = 150; // 0x96

public static final int IMPORTANCE_VISIBLE = 200; // 0xc8

public static final int REASON_PROVIDER_IN_USE = 1; // 0x1

public static final int REASON_SERVICE_IN_USE = 2; // 0x2

public static final int REASON_UNKNOWN = 0; // 0x0

public int importance;

public int importanceReasonCode;

public android.content.ComponentName importanceReasonComponent;

public int importanceReasonPid;

public int lastTrimLevel;

public int lru;

public int pid;

public java.lang.String[] pkgList;

public java.lang.String processName;

public int uid;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class RunningServiceInfo implements android.os.Parcelable {

public RunningServiceInfo() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ActivityManager.RunningServiceInfo> CREATOR;
static { CREATOR = null; }

public static final int FLAG_FOREGROUND = 2; // 0x2

public static final int FLAG_PERSISTENT_PROCESS = 8; // 0x8

public static final int FLAG_STARTED = 1; // 0x1

public static final int FLAG_SYSTEM_PROCESS = 4; // 0x4

public long activeSince;

public int clientCount;

public int clientLabel;

public java.lang.String clientPackage;

public int crashCount;

public int flags;

public boolean foreground;

public long lastActivityTime;

public int pid;

public java.lang.String process;

public long restarting;

public android.content.ComponentName service;

public boolean started;

public int uid;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class RunningTaskInfo extends android.app.TaskInfo implements android.os.Parcelable {

public RunningTaskInfo() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ActivityManager.RunningTaskInfo> CREATOR;
static { CREATOR = null; }

@Deprecated public java.lang.CharSequence description;

@Deprecated public int id;

@Deprecated public int numRunning;

@Deprecated public android.graphics.Bitmap thumbnail;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class TaskDescription implements android.os.Parcelable {

public TaskDescription(java.lang.String label, int iconRes, int colorPrimary) { throw new RuntimeException("Stub!"); }

public TaskDescription(java.lang.String label, int iconRes) { throw new RuntimeException("Stub!"); }

public TaskDescription(java.lang.String label) { throw new RuntimeException("Stub!"); }

public TaskDescription() { throw new RuntimeException("Stub!"); }

@Deprecated
public TaskDescription(java.lang.String label, android.graphics.Bitmap icon, int colorPrimary) { throw new RuntimeException("Stub!"); }

@Deprecated
public TaskDescription(java.lang.String label, android.graphics.Bitmap icon) { throw new RuntimeException("Stub!"); }

public TaskDescription(android.app.ActivityManager.TaskDescription td) { throw new RuntimeException("Stub!"); }

public java.lang.String getLabel() { throw new RuntimeException("Stub!"); }

@Deprecated
public android.graphics.Bitmap getIcon() { throw new RuntimeException("Stub!"); }

public int getPrimaryColor() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ActivityManager.TaskDescription> CREATOR;
static { CREATOR = null; }
}

}

