/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ApplicationExitInfo implements android.os.Parcelable {

ApplicationExitInfo() { throw new RuntimeException("Stub!"); }

public int getPid() { throw new RuntimeException("Stub!"); }

public int getRealUid() { throw new RuntimeException("Stub!"); }

public int getPackageUid() { throw new RuntimeException("Stub!"); }

public int getDefiningUid() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getProcessName() { throw new RuntimeException("Stub!"); }

public int getReason() { throw new RuntimeException("Stub!"); }

public int getStatus() { throw new RuntimeException("Stub!"); }

public int getImportance() { throw new RuntimeException("Stub!"); }

public long getPss() { throw new RuntimeException("Stub!"); }

public long getRss() { throw new RuntimeException("Stub!"); }

public long getTimestamp() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getDescription() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.UserHandle getUserHandle() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public byte[] getProcessStateSummary() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.io.InputStream getTraceInputStream() throws java.io.IOException { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object other) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ApplicationExitInfo> CREATOR;
static { CREATOR = null; }

public static final int REASON_ANR = 6; // 0x6

public static final int REASON_CRASH = 4; // 0x4

public static final int REASON_CRASH_NATIVE = 5; // 0x5

public static final int REASON_DEPENDENCY_DIED = 12; // 0xc

public static final int REASON_EXCESSIVE_RESOURCE_USAGE = 9; // 0x9

public static final int REASON_EXIT_SELF = 1; // 0x1

public static final int REASON_INITIALIZATION_FAILURE = 7; // 0x7

public static final int REASON_LOW_MEMORY = 3; // 0x3

public static final int REASON_OTHER = 13; // 0xd

public static final int REASON_PERMISSION_CHANGE = 8; // 0x8

public static final int REASON_SIGNALED = 2; // 0x2

public static final int REASON_UNKNOWN = 0; // 0x0

public static final int REASON_USER_REQUESTED = 10; // 0xa

public static final int REASON_USER_STOPPED = 11; // 0xb
}

