/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class PendingIntent implements android.os.Parcelable {

PendingIntent() { throw new RuntimeException("Stub!"); }

public static android.app.PendingIntent getActivity(android.content.Context context, int requestCode, android.content.Intent intent, int flags) { throw new RuntimeException("Stub!"); }

public static android.app.PendingIntent getActivity(android.content.Context context, int requestCode, @android.annotation.NonNull android.content.Intent intent, int flags, @android.annotation.Nullable android.os.Bundle options) { throw new RuntimeException("Stub!"); }

public static android.app.PendingIntent getActivities(android.content.Context context, int requestCode, @android.annotation.NonNull android.content.Intent[] intents, int flags) { throw new RuntimeException("Stub!"); }

public static android.app.PendingIntent getActivities(android.content.Context context, int requestCode, @android.annotation.NonNull android.content.Intent[] intents, int flags, @android.annotation.Nullable android.os.Bundle options) { throw new RuntimeException("Stub!"); }

public static android.app.PendingIntent getBroadcast(android.content.Context context, int requestCode, @android.annotation.NonNull android.content.Intent intent, int flags) { throw new RuntimeException("Stub!"); }

public static android.app.PendingIntent getService(android.content.Context context, int requestCode, @android.annotation.NonNull android.content.Intent intent, int flags) { throw new RuntimeException("Stub!"); }

public static android.app.PendingIntent getForegroundService(android.content.Context context, int requestCode, @android.annotation.NonNull android.content.Intent intent, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.IntentSender getIntentSender() { throw new RuntimeException("Stub!"); }

public void cancel() { throw new RuntimeException("Stub!"); }

public void send() throws android.app.PendingIntent.CanceledException { throw new RuntimeException("Stub!"); }

public void send(int code) throws android.app.PendingIntent.CanceledException { throw new RuntimeException("Stub!"); }

public void send(android.content.Context context, int code, @android.annotation.Nullable android.content.Intent intent) throws android.app.PendingIntent.CanceledException { throw new RuntimeException("Stub!"); }

public void send(int code, @android.annotation.Nullable android.app.PendingIntent.OnFinished onFinished, @android.annotation.Nullable android.os.Handler handler) throws android.app.PendingIntent.CanceledException { throw new RuntimeException("Stub!"); }

public void send(android.content.Context context, int code, @android.annotation.Nullable android.content.Intent intent, @android.annotation.Nullable android.app.PendingIntent.OnFinished onFinished, @android.annotation.Nullable android.os.Handler handler) throws android.app.PendingIntent.CanceledException { throw new RuntimeException("Stub!"); }

public void send(android.content.Context context, int code, @android.annotation.Nullable android.content.Intent intent, @android.annotation.Nullable android.app.PendingIntent.OnFinished onFinished, @android.annotation.Nullable android.os.Handler handler, @android.annotation.Nullable java.lang.String requiredPermission) throws android.app.PendingIntent.CanceledException { throw new RuntimeException("Stub!"); }

public void send(android.content.Context context, int code, @android.annotation.Nullable android.content.Intent intent, @android.annotation.Nullable android.app.PendingIntent.OnFinished onFinished, @android.annotation.Nullable android.os.Handler handler, @android.annotation.Nullable java.lang.String requiredPermission, @android.annotation.Nullable android.os.Bundle options) throws android.app.PendingIntent.CanceledException { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.Nullable
public java.lang.String getTargetPackage() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getCreatorPackage() { throw new RuntimeException("Stub!"); }

public int getCreatorUid() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.UserHandle getCreatorUserHandle() { throw new RuntimeException("Stub!"); }

public boolean isImmutable() { throw new RuntimeException("Stub!"); }

public boolean isActivity() { throw new RuntimeException("Stub!"); }

public boolean isForegroundService() { throw new RuntimeException("Stub!"); }

public boolean isService() { throw new RuntimeException("Stub!"); }

public boolean isBroadcast() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object otherObj) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel out, int flags) { throw new RuntimeException("Stub!"); }

public static void writePendingIntentOrNullToParcel(@android.annotation.Nullable android.app.PendingIntent sender, @android.annotation.NonNull android.os.Parcel out) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public static android.app.PendingIntent readPendingIntentOrNullFromParcel(@android.annotation.NonNull android.os.Parcel in) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.PendingIntent> CREATOR;
static { CREATOR = null; }

public static final int FLAG_CANCEL_CURRENT = 268435456; // 0x10000000

public static final int FLAG_IMMUTABLE = 67108864; // 0x4000000

public static final int FLAG_MUTABLE = 33554432; // 0x2000000

public static final int FLAG_NO_CREATE = 536870912; // 0x20000000

public static final int FLAG_ONE_SHOT = 1073741824; // 0x40000000

public static final int FLAG_UPDATE_CURRENT = 134217728; // 0x8000000
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class CanceledException extends android.util.AndroidException {

public CanceledException() { throw new RuntimeException("Stub!"); }

public CanceledException(java.lang.String name) { throw new RuntimeException("Stub!"); }

public CanceledException(java.lang.Exception cause) { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnFinished {

public void onSendFinished(android.app.PendingIntent pendingIntent, android.content.Intent intent, int resultCode, java.lang.String resultData, android.os.Bundle resultExtras);
}

}

