/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.app.blob;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class BlobHandle implements android.os.Parcelable {

private BlobHandle() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.app.blob.BlobHandle createWithSha256(@android.annotation.NonNull byte[] digest, @android.annotation.NonNull java.lang.CharSequence label, long expiryTimeMillis, @android.annotation.NonNull java.lang.String tag) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public byte[] getSha256Digest() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.CharSequence getLabel() { throw new RuntimeException("Stub!"); }

public long getExpiryTimeMillis() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getTag() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.blob.BlobHandle> CREATOR;
static { CREATOR = null; }
}

