/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */


package android.app.job;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class JobParameters implements android.os.Parcelable {

JobParameters() { throw new RuntimeException("Stub!"); }

public int getJobId() { throw new RuntimeException("Stub!"); }

public int getStopReason() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.PersistableBundle getExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getTransientExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.ClipData getClipData() { throw new RuntimeException("Stub!"); }

public int getClipGrantFlags() { throw new RuntimeException("Stub!"); }

public boolean isExpeditedJob() { throw new RuntimeException("Stub!"); }

public boolean isOverrideDeadlineExpired() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.Uri[] getTriggeredContentUris() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String[] getTriggeredContentAuthorities() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.Network getNetwork() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.app.job.JobWorkItem dequeueWork() { throw new RuntimeException("Stub!"); }

public void completeWork(@android.annotation.NonNull android.app.job.JobWorkItem work) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.job.JobParameters> CREATOR;
static { CREATOR = null; }

public static final int STOP_REASON_APP_STANDBY = 12; // 0xc

public static final int STOP_REASON_BACKGROUND_RESTRICTION = 11; // 0xb

public static final int STOP_REASON_CANCELLED_BY_APP = 1; // 0x1

public static final int STOP_REASON_CONSTRAINT_BATTERY_NOT_LOW = 5; // 0x5

public static final int STOP_REASON_CONSTRAINT_CHARGING = 6; // 0x6

public static final int STOP_REASON_CONSTRAINT_CONNECTIVITY = 7; // 0x7

public static final int STOP_REASON_CONSTRAINT_DEVICE_IDLE = 8; // 0x8

public static final int STOP_REASON_CONSTRAINT_STORAGE_NOT_LOW = 9; // 0x9

public static final int STOP_REASON_DEVICE_STATE = 4; // 0x4

public static final int STOP_REASON_PREEMPT = 2; // 0x2

public static final int STOP_REASON_QUOTA = 10; // 0xa

public static final int STOP_REASON_SYSTEM_PROCESSING = 14; // 0xe

public static final int STOP_REASON_TIMEOUT = 3; // 0x3

public static final int STOP_REASON_UNDEFINED = 0; // 0x0

public static final int STOP_REASON_USER = 13; // 0xd
}

