/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.people;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ConversationStatus implements android.os.Parcelable {

private ConversationStatus() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getId() { throw new RuntimeException("Stub!"); }

public int getActivity() { throw new RuntimeException("Stub!"); }

public int getAvailability() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getDescription() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.drawable.Icon getIcon() { throw new RuntimeException("Stub!"); }

public long getStartTimeMillis() { throw new RuntimeException("Stub!"); }

public long getEndTimeMillis() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public static final int ACTIVITY_ANNIVERSARY = 2; // 0x2

public static final int ACTIVITY_AUDIO = 4; // 0x4

public static final int ACTIVITY_BIRTHDAY = 1; // 0x1

public static final int ACTIVITY_GAME = 6; // 0x6

public static final int ACTIVITY_LOCATION = 7; // 0x7

public static final int ACTIVITY_NEW_STORY = 3; // 0x3

public static final int ACTIVITY_OTHER = 0; // 0x0

public static final int ACTIVITY_UPCOMING_BIRTHDAY = 8; // 0x8

public static final int ACTIVITY_VIDEO = 5; // 0x5

public static final int AVAILABILITY_AVAILABLE = 0; // 0x0

public static final int AVAILABILITY_BUSY = 1; // 0x1

public static final int AVAILABILITY_OFFLINE = 2; // 0x2

public static final int AVAILABILITY_UNKNOWN = -1; // 0xffffffff

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.people.ConversationStatus> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.lang.String id, @android.annotation.NonNull int activity) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.people.ConversationStatus.Builder setAvailability(int availability) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.people.ConversationStatus.Builder setDescription(@android.annotation.Nullable java.lang.CharSequence description) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.people.ConversationStatus.Builder setIcon(@android.annotation.Nullable android.graphics.drawable.Icon icon) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.people.ConversationStatus.Builder setStartTimeMillis(long startTimeMs) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.people.ConversationStatus.Builder setEndTimeMillis(long endTimeMs) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.people.ConversationStatus build() { throw new RuntimeException("Stub!"); }
}

}

