/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.slice;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class SliceManager {

SliceManager() { throw new RuntimeException("Stub!"); }

public void pinSlice(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.util.Set<android.app.slice.SliceSpec> specs) { throw new RuntimeException("Stub!"); }

public void unpinSlice(@android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Set<android.app.slice.SliceSpec> getPinnedSpecs(android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.net.Uri> getPinnedSlices() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Collection<android.net.Uri> getSliceDescendants(@android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.app.slice.Slice bindSlice(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.util.Set<android.app.slice.SliceSpec> supportedSpecs) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.Uri mapIntentToUri(@android.annotation.NonNull android.content.Intent intent) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.app.slice.Slice bindSlice(@android.annotation.NonNull android.content.Intent intent, @android.annotation.NonNull java.util.Set<android.app.slice.SliceSpec> supportedSpecs) { throw new RuntimeException("Stub!"); }

public int checkSlicePermission(@android.annotation.NonNull android.net.Uri uri, int pid, int uid) { throw new RuntimeException("Stub!"); }

public void grantSlicePermission(@android.annotation.NonNull java.lang.String toPackage, @android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

public void revokeSlicePermission(@android.annotation.NonNull java.lang.String toPackage, @android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

public static final java.lang.String CATEGORY_SLICE = "android.app.slice.category.SLICE";

public static final java.lang.String SLICE_METADATA_KEY = "android.metadata.SLICE_URI";
}

