/*
 * Copyright (C) 2009 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class ContentProviderOperation implements android.os.Parcelable {

ContentProviderOperation() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.content.ContentProviderOperation.Builder newInsert(@android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.content.ContentProviderOperation.Builder newUpdate(@android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.content.ContentProviderOperation.Builder newDelete(@android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.content.ContentProviderOperation.Builder newAssertQuery(@android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.content.ContentProviderOperation.Builder newCall(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable java.lang.String method, @android.annotation.Nullable java.lang.String arg) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Uri getUri() { throw new RuntimeException("Stub!"); }

public boolean isYieldAllowed() { throw new RuntimeException("Stub!"); }

public boolean isExceptionAllowed() { throw new RuntimeException("Stub!"); }

public boolean isInsert() { throw new RuntimeException("Stub!"); }

public boolean isDelete() { throw new RuntimeException("Stub!"); }

public boolean isUpdate() { throw new RuntimeException("Stub!"); }

public boolean isAssertQuery() { throw new RuntimeException("Stub!"); }

public boolean isCall() { throw new RuntimeException("Stub!"); }

public boolean isWriteOperation() { throw new RuntimeException("Stub!"); }

public boolean isReadOperation() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderResult apply(@android.annotation.NonNull android.content.ContentProvider provider, @android.annotation.NonNull android.content.ContentProviderResult[] backRefs, int numBackRefs) throws android.content.OperationApplicationException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.ContentValues resolveValueBackReferences(@android.annotation.NonNull android.content.ContentProviderResult[] backRefs, int numBackRefs) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Bundle resolveExtrasBackReferences(@android.annotation.NonNull android.content.ContentProviderResult[] backRefs, int numBackRefs) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String[] resolveSelectionArgsBackReferences(@android.annotation.NonNull android.content.ContentProviderResult[] backRefs, int numBackRefs) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.content.ContentProviderOperation> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Builder {

private Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withValues(@android.annotation.NonNull android.content.ContentValues values) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withValue(@android.annotation.NonNull java.lang.String key, @android.annotation.Nullable java.lang.Object value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withValueBackReferences(@android.annotation.NonNull android.content.ContentValues backReferences) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withValueBackReference(@android.annotation.NonNull java.lang.String key, int fromIndex) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withValueBackReference(@android.annotation.NonNull java.lang.String key, int fromIndex, @android.annotation.NonNull java.lang.String fromKey) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withExtras(@android.annotation.NonNull android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withExtra(@android.annotation.NonNull java.lang.String key, @android.annotation.Nullable java.lang.Object value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withExtraBackReference(@android.annotation.NonNull java.lang.String key, int fromIndex) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withExtraBackReference(@android.annotation.NonNull java.lang.String key, int fromIndex, @android.annotation.NonNull java.lang.String fromKey) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withSelection(@android.annotation.Nullable java.lang.String selection, @android.annotation.Nullable java.lang.String[] selectionArgs) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withSelectionBackReference(int index, int fromIndex) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withSelectionBackReference(int index, int fromIndex, @android.annotation.NonNull java.lang.String fromKey) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withExpectedCount(int count) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withYieldAllowed(boolean yieldAllowed) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderOperation.Builder withExceptionAllowed(boolean exceptionAllowed) { throw new RuntimeException("Stub!"); }
}

}

