/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface DialogInterface {

public void cancel();

public void dismiss();

@Deprecated public static final int BUTTON1 = -1; // 0xffffffff

@Deprecated public static final int BUTTON2 = -2; // 0xfffffffe

@Deprecated public static final int BUTTON3 = -3; // 0xfffffffd

public static final int BUTTON_NEGATIVE = -2; // 0xfffffffe

public static final int BUTTON_NEUTRAL = -3; // 0xfffffffd

public static final int BUTTON_POSITIVE = -1; // 0xffffffff
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnCancelListener {

public void onCancel(android.content.DialogInterface dialog);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnClickListener {

public void onClick(android.content.DialogInterface dialog, int which);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnDismissListener {

public void onDismiss(android.content.DialogInterface dialog);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnKeyListener {

public boolean onKey(android.content.DialogInterface dialog, int keyCode, android.view.KeyEvent event);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnMultiChoiceClickListener {

public void onClick(android.content.DialogInterface dialog, int which, boolean isChecked);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnShowListener {

public void onShow(android.content.DialogInterface dialog);
}

}

