/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content.pm;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class ActivityInfo extends android.content.pm.ComponentInfo implements android.os.Parcelable {

public ActivityInfo() { throw new RuntimeException("Stub!"); }

public ActivityInfo(android.content.pm.ActivityInfo orig) { throw new RuntimeException("Stub!"); }

public final int getThemeResource() { throw new RuntimeException("Stub!"); }

public void dump(android.util.Printer pw, java.lang.String prefix) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int parcelableFlags) { throw new RuntimeException("Stub!"); }

public static final int COLOR_MODE_DEFAULT = 0; // 0x0

public static final int COLOR_MODE_HDR = 2; // 0x2

public static final int COLOR_MODE_WIDE_COLOR_GAMUT = 1; // 0x1

public static final int CONFIG_COLOR_MODE = 16384; // 0x4000

public static final int CONFIG_DENSITY = 4096; // 0x1000

public static final int CONFIG_FONT_SCALE = 1073741824; // 0x40000000

public static final int CONFIG_FONT_WEIGHT_ADJUSTMENT = 268435456; // 0x10000000

public static final int CONFIG_KEYBOARD = 16; // 0x10

public static final int CONFIG_KEYBOARD_HIDDEN = 32; // 0x20

public static final int CONFIG_LAYOUT_DIRECTION = 8192; // 0x2000

public static final int CONFIG_LOCALE = 4; // 0x4

public static final int CONFIG_MCC = 1; // 0x1

public static final int CONFIG_MNC = 2; // 0x2

public static final int CONFIG_NAVIGATION = 64; // 0x40

public static final int CONFIG_ORIENTATION = 128; // 0x80

public static final int CONFIG_SCREEN_LAYOUT = 256; // 0x100

public static final int CONFIG_SCREEN_SIZE = 1024; // 0x400

public static final int CONFIG_SMALLEST_SCREEN_SIZE = 2048; // 0x800

public static final int CONFIG_TOUCHSCREEN = 8; // 0x8

public static final int CONFIG_UI_MODE = 512; // 0x200

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.content.pm.ActivityInfo> CREATOR;
static { CREATOR = null; }

public static final int DOCUMENT_LAUNCH_ALWAYS = 2; // 0x2

public static final int DOCUMENT_LAUNCH_INTO_EXISTING = 1; // 0x1

public static final int DOCUMENT_LAUNCH_NEVER = 3; // 0x3

public static final int DOCUMENT_LAUNCH_NONE = 0; // 0x0

public static final int FLAG_ALLOW_TASK_REPARENTING = 64; // 0x40

public static final int FLAG_ALWAYS_RETAIN_TASK_STATE = 8; // 0x8

public static final int FLAG_AUTO_REMOVE_FROM_RECENTS = 8192; // 0x2000

public static final int FLAG_CLEAR_TASK_ON_LAUNCH = 4; // 0x4

public static final int FLAG_ENABLE_VR_MODE = 32768; // 0x8000

public static final int FLAG_EXCLUDE_FROM_RECENTS = 32; // 0x20

public static final int FLAG_FINISH_ON_CLOSE_SYSTEM_DIALOGS = 256; // 0x100

public static final int FLAG_FINISH_ON_TASK_LAUNCH = 2; // 0x2

public static final int FLAG_HARDWARE_ACCELERATED = 512; // 0x200

public static final int FLAG_IMMERSIVE = 2048; // 0x800

public static final int FLAG_MULTIPROCESS = 1; // 0x1

public static final int FLAG_NO_HISTORY = 128; // 0x80

public static final int FLAG_PREFER_MINIMAL_POST_PROCESSING = 33554432; // 0x2000000

public static final int FLAG_RELINQUISH_TASK_IDENTITY = 4096; // 0x1000

public static final int FLAG_RESUME_WHILE_PAUSING = 16384; // 0x4000

public static final int FLAG_SINGLE_USER = 1073741824; // 0x40000000

public static final int FLAG_STATE_NOT_NEEDED = 16; // 0x10

public static final int LAUNCH_MULTIPLE = 0; // 0x0

public static final int LAUNCH_SINGLE_INSTANCE = 3; // 0x3

public static final int LAUNCH_SINGLE_INSTANCE_PER_TASK = 4; // 0x4

public static final int LAUNCH_SINGLE_TASK = 2; // 0x2

public static final int LAUNCH_SINGLE_TOP = 1; // 0x1

public static final int PERSIST_ACROSS_REBOOTS = 2; // 0x2

public static final int PERSIST_NEVER = 1; // 0x1

public static final int PERSIST_ROOT_ONLY = 0; // 0x0

public static final int SCREEN_ORIENTATION_BEHIND = 3; // 0x3

public static final int SCREEN_ORIENTATION_FULL_SENSOR = 10; // 0xa

public static final int SCREEN_ORIENTATION_FULL_USER = 13; // 0xd

public static final int SCREEN_ORIENTATION_LANDSCAPE = 0; // 0x0

public static final int SCREEN_ORIENTATION_LOCKED = 14; // 0xe

public static final int SCREEN_ORIENTATION_NOSENSOR = 5; // 0x5

public static final int SCREEN_ORIENTATION_PORTRAIT = 1; // 0x1

public static final int SCREEN_ORIENTATION_REVERSE_LANDSCAPE = 8; // 0x8

public static final int SCREEN_ORIENTATION_REVERSE_PORTRAIT = 9; // 0x9

public static final int SCREEN_ORIENTATION_SENSOR = 4; // 0x4

public static final int SCREEN_ORIENTATION_SENSOR_LANDSCAPE = 6; // 0x6

public static final int SCREEN_ORIENTATION_SENSOR_PORTRAIT = 7; // 0x7

public static final int SCREEN_ORIENTATION_UNSPECIFIED = -1; // 0xffffffff

public static final int SCREEN_ORIENTATION_USER = 2; // 0x2

public static final int SCREEN_ORIENTATION_USER_LANDSCAPE = 11; // 0xb

public static final int SCREEN_ORIENTATION_USER_PORTRAIT = 12; // 0xc

public static final int UIOPTION_SPLIT_ACTION_BAR_WHEN_NARROW = 1; // 0x1

public int colorMode = 0; // 0x0

public int configChanges;

public int documentLaunchMode;

public int flags;

public int launchMode;

public int maxRecents;

public java.lang.String parentActivityName;

public java.lang.String permission;

public int persistableMode;

public int screenOrientation = -1; // 0xffffffff

public int softInputMode;

public java.lang.String targetActivity;

public java.lang.String taskAffinity;

public int theme;

public int uiOptions = 0; // 0x0

public android.content.pm.ActivityInfo.WindowLayout windowLayout;
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class WindowLayout {

public WindowLayout(int width, float widthFraction, int height, float heightFraction, int gravity, int minWidth, int minHeight) { throw new RuntimeException("Stub!"); }

public final int gravity;
{ gravity = 0; }

public final int height;
{ height = 0; }

public final float heightFraction;
{ heightFraction = 0; }

public final int minHeight;
{ minHeight = 0; }

public final int minWidth;
{ minWidth = 0; }

public final int width;
{ width = 0; }

public final float widthFraction;
{ widthFraction = 0; }
}

}

