/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.content.pm;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class ShortcutManager {

ShortcutManager() { throw new RuntimeException("Stub!"); }

public boolean setDynamicShortcuts(@android.annotation.NonNull java.util.List<android.content.pm.ShortcutInfo> shortcutInfoList) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.content.pm.ShortcutInfo> getDynamicShortcuts() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.content.pm.ShortcutInfo> getManifestShortcuts() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.content.pm.ShortcutInfo> getShortcuts(int matchFlags) { throw new RuntimeException("Stub!"); }

public boolean addDynamicShortcuts(@android.annotation.NonNull java.util.List<android.content.pm.ShortcutInfo> shortcutInfoList) { throw new RuntimeException("Stub!"); }

public void removeDynamicShortcuts(@android.annotation.NonNull java.util.List<java.lang.String> shortcutIds) { throw new RuntimeException("Stub!"); }

public void removeAllDynamicShortcuts() { throw new RuntimeException("Stub!"); }

public void removeLongLivedShortcuts(@android.annotation.NonNull java.util.List<java.lang.String> shortcutIds) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.content.pm.ShortcutInfo> getPinnedShortcuts() { throw new RuntimeException("Stub!"); }

public boolean updateShortcuts(@android.annotation.NonNull java.util.List<android.content.pm.ShortcutInfo> shortcutInfoList) { throw new RuntimeException("Stub!"); }

public void disableShortcuts(@android.annotation.NonNull java.util.List<java.lang.String> shortcutIds) { throw new RuntimeException("Stub!"); }

public void disableShortcuts(@android.annotation.NonNull java.util.List<java.lang.String> shortcutIds, java.lang.CharSequence disabledMessage) { throw new RuntimeException("Stub!"); }

public void enableShortcuts(@android.annotation.NonNull java.util.List<java.lang.String> shortcutIds) { throw new RuntimeException("Stub!"); }

public int getMaxShortcutCountPerActivity() { throw new RuntimeException("Stub!"); }

public boolean isRateLimitingActive() { throw new RuntimeException("Stub!"); }

public int getIconMaxWidth() { throw new RuntimeException("Stub!"); }

public int getIconMaxHeight() { throw new RuntimeException("Stub!"); }

public void reportShortcutUsed(java.lang.String shortcutId) { throw new RuntimeException("Stub!"); }

public boolean isRequestPinShortcutSupported() { throw new RuntimeException("Stub!"); }

public boolean requestPinShortcut(@android.annotation.NonNull android.content.pm.ShortcutInfo shortcut, @android.annotation.Nullable android.content.IntentSender resultIntent) { throw new RuntimeException("Stub!"); }

public android.content.Intent createShortcutResultIntent(@android.annotation.NonNull android.content.pm.ShortcutInfo shortcut) { throw new RuntimeException("Stub!"); }

public void pushDynamicShortcut(@android.annotation.NonNull android.content.pm.ShortcutInfo shortcut) { throw new RuntimeException("Stub!"); }

public static final int FLAG_MATCH_CACHED = 8; // 0x8

public static final int FLAG_MATCH_DYNAMIC = 2; // 0x2

public static final int FLAG_MATCH_MANIFEST = 1; // 0x1

public static final int FLAG_MATCH_PINNED = 4; // 0x4
}

