/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class Canvas {

public Canvas() { throw new RuntimeException("Stub!"); }

public Canvas(@android.annotation.NonNull android.graphics.Bitmap bitmap) { throw new RuntimeException("Stub!"); }

public boolean isHardwareAccelerated() { throw new RuntimeException("Stub!"); }

public void setBitmap(@android.annotation.Nullable android.graphics.Bitmap bitmap) { throw new RuntimeException("Stub!"); }

public void enableZ() { throw new RuntimeException("Stub!"); }

public void disableZ() { throw new RuntimeException("Stub!"); }

public boolean isOpaque() { throw new RuntimeException("Stub!"); }

public int getWidth() { throw new RuntimeException("Stub!"); }

public int getHeight() { throw new RuntimeException("Stub!"); }

public int getDensity() { throw new RuntimeException("Stub!"); }

public void setDensity(int density) { throw new RuntimeException("Stub!"); }

public int getMaximumBitmapWidth() { throw new RuntimeException("Stub!"); }

public int getMaximumBitmapHeight() { throw new RuntimeException("Stub!"); }

public int save() { throw new RuntimeException("Stub!"); }

@Deprecated
public int saveLayer(@android.annotation.Nullable android.graphics.RectF bounds, @android.annotation.Nullable android.graphics.Paint paint, int saveFlags) { throw new RuntimeException("Stub!"); }

public int saveLayer(@android.annotation.Nullable android.graphics.RectF bounds, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

@Deprecated
public int saveLayer(float left, float top, float right, float bottom, @android.annotation.Nullable android.graphics.Paint paint, int saveFlags) { throw new RuntimeException("Stub!"); }

public int saveLayer(float left, float top, float right, float bottom, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

@Deprecated
public int saveLayerAlpha(@android.annotation.Nullable android.graphics.RectF bounds, int alpha, int saveFlags) { throw new RuntimeException("Stub!"); }

public int saveLayerAlpha(@android.annotation.Nullable android.graphics.RectF bounds, int alpha) { throw new RuntimeException("Stub!"); }

@Deprecated
public int saveLayerAlpha(float left, float top, float right, float bottom, int alpha, int saveFlags) { throw new RuntimeException("Stub!"); }

public int saveLayerAlpha(float left, float top, float right, float bottom, int alpha) { throw new RuntimeException("Stub!"); }

public void restore() { throw new RuntimeException("Stub!"); }

public int getSaveCount() { throw new RuntimeException("Stub!"); }

public void restoreToCount(int saveCount) { throw new RuntimeException("Stub!"); }

public void translate(float dx, float dy) { throw new RuntimeException("Stub!"); }

public void scale(float sx, float sy) { throw new RuntimeException("Stub!"); }

public final void scale(float sx, float sy, float px, float py) { throw new RuntimeException("Stub!"); }

public void rotate(float degrees) { throw new RuntimeException("Stub!"); }

public final void rotate(float degrees, float px, float py) { throw new RuntimeException("Stub!"); }

public void skew(float sx, float sy) { throw new RuntimeException("Stub!"); }

public void concat(@android.annotation.Nullable android.graphics.Matrix matrix) { throw new RuntimeException("Stub!"); }

public void setMatrix(@android.annotation.Nullable android.graphics.Matrix matrix) { throw new RuntimeException("Stub!"); }

@Deprecated
public void getMatrix(@android.annotation.NonNull android.graphics.Matrix ctm) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public final android.graphics.Matrix getMatrix() { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean clipRect(@android.annotation.NonNull android.graphics.RectF rect, @android.annotation.NonNull android.graphics.Region.Op op) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean clipRect(@android.annotation.NonNull android.graphics.Rect rect, @android.annotation.NonNull android.graphics.Region.Op op) { throw new RuntimeException("Stub!"); }

public boolean clipRect(@android.annotation.NonNull android.graphics.RectF rect) { throw new RuntimeException("Stub!"); }

public boolean clipOutRect(@android.annotation.NonNull android.graphics.RectF rect) { throw new RuntimeException("Stub!"); }

public boolean clipRect(@android.annotation.NonNull android.graphics.Rect rect) { throw new RuntimeException("Stub!"); }

public boolean clipOutRect(@android.annotation.NonNull android.graphics.Rect rect) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean clipRect(float left, float top, float right, float bottom, @android.annotation.NonNull android.graphics.Region.Op op) { throw new RuntimeException("Stub!"); }

public boolean clipRect(float left, float top, float right, float bottom) { throw new RuntimeException("Stub!"); }

public boolean clipOutRect(float left, float top, float right, float bottom) { throw new RuntimeException("Stub!"); }

public boolean clipRect(int left, int top, int right, int bottom) { throw new RuntimeException("Stub!"); }

public boolean clipOutRect(int left, int top, int right, int bottom) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean clipPath(@android.annotation.NonNull android.graphics.Path path, @android.annotation.NonNull android.graphics.Region.Op op) { throw new RuntimeException("Stub!"); }

public boolean clipPath(@android.annotation.NonNull android.graphics.Path path) { throw new RuntimeException("Stub!"); }

public boolean clipOutPath(@android.annotation.NonNull android.graphics.Path path) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.DrawFilter getDrawFilter() { throw new RuntimeException("Stub!"); }

public void setDrawFilter(@android.annotation.Nullable android.graphics.DrawFilter filter) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean quickReject(@android.annotation.NonNull android.graphics.RectF rect, @android.annotation.NonNull android.graphics.Canvas.EdgeType type) { throw new RuntimeException("Stub!"); }

public boolean quickReject(@android.annotation.NonNull android.graphics.RectF rect) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean quickReject(@android.annotation.NonNull android.graphics.Path path, @android.annotation.NonNull android.graphics.Canvas.EdgeType type) { throw new RuntimeException("Stub!"); }

public boolean quickReject(@android.annotation.NonNull android.graphics.Path path) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean quickReject(float left, float top, float right, float bottom, @android.annotation.NonNull android.graphics.Canvas.EdgeType type) { throw new RuntimeException("Stub!"); }

public boolean quickReject(float left, float top, float right, float bottom) { throw new RuntimeException("Stub!"); }

public boolean getClipBounds(@android.annotation.Nullable android.graphics.Rect bounds) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final android.graphics.Rect getClipBounds() { throw new RuntimeException("Stub!"); }

public void drawPicture(@android.annotation.NonNull android.graphics.Picture picture) { throw new RuntimeException("Stub!"); }

public void drawPicture(@android.annotation.NonNull android.graphics.Picture picture, @android.annotation.NonNull android.graphics.RectF dst) { throw new RuntimeException("Stub!"); }

public void drawPicture(@android.annotation.NonNull android.graphics.Picture picture, @android.annotation.NonNull android.graphics.Rect dst) { throw new RuntimeException("Stub!"); }

public void drawArc(@android.annotation.NonNull android.graphics.RectF oval, float startAngle, float sweepAngle, boolean useCenter, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawArc(float left, float top, float right, float bottom, float startAngle, float sweepAngle, boolean useCenter, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawARGB(int a, int r, int g, int b) { throw new RuntimeException("Stub!"); }

public void drawBitmap(@android.annotation.NonNull android.graphics.Bitmap bitmap, float left, float top, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawBitmap(@android.annotation.NonNull android.graphics.Bitmap bitmap, @android.annotation.Nullable android.graphics.Rect src, @android.annotation.NonNull android.graphics.RectF dst, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawBitmap(@android.annotation.NonNull android.graphics.Bitmap bitmap, @android.annotation.Nullable android.graphics.Rect src, @android.annotation.NonNull android.graphics.Rect dst, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

@Deprecated
public void drawBitmap(@android.annotation.NonNull int[] colors, int offset, int stride, float x, float y, int width, int height, boolean hasAlpha, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

@Deprecated
public void drawBitmap(@android.annotation.NonNull int[] colors, int offset, int stride, int x, int y, int width, int height, boolean hasAlpha, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawBitmap(@android.annotation.NonNull android.graphics.Bitmap bitmap, @android.annotation.NonNull android.graphics.Matrix matrix, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawBitmapMesh(@android.annotation.NonNull android.graphics.Bitmap bitmap, int meshWidth, int meshHeight, @android.annotation.NonNull float[] verts, int vertOffset, @android.annotation.Nullable int[] colors, int colorOffset, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawCircle(float cx, float cy, float radius, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawColor(int color) { throw new RuntimeException("Stub!"); }

public void drawColor(long color) { throw new RuntimeException("Stub!"); }

public void drawColor(int color, @android.annotation.NonNull android.graphics.PorterDuff.Mode mode) { throw new RuntimeException("Stub!"); }

public void drawColor(int color, @android.annotation.NonNull android.graphics.BlendMode mode) { throw new RuntimeException("Stub!"); }

public void drawColor(long color, @android.annotation.NonNull android.graphics.BlendMode mode) { throw new RuntimeException("Stub!"); }

public void drawLine(float startX, float startY, float stopX, float stopY, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawLines(@android.annotation.NonNull float[] pts, int offset, int count, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawLines(@android.annotation.NonNull float[] pts, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawOval(@android.annotation.NonNull android.graphics.RectF oval, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawOval(float left, float top, float right, float bottom, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawPaint(@android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawPatch(@android.annotation.NonNull android.graphics.NinePatch patch, @android.annotation.NonNull android.graphics.Rect dst, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawPatch(@android.annotation.NonNull android.graphics.NinePatch patch, @android.annotation.NonNull android.graphics.RectF dst, @android.annotation.Nullable android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawPath(@android.annotation.NonNull android.graphics.Path path, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawPoint(float x, float y, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawPoints(float[] pts, int offset, int count, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawPoints(@android.annotation.NonNull float[] pts, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

@Deprecated
public void drawPosText(@android.annotation.NonNull char[] text, int index, int count, @android.annotation.NonNull float[] pos, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

@Deprecated
public void drawPosText(@android.annotation.NonNull java.lang.String text, @android.annotation.NonNull float[] pos, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawRect(@android.annotation.NonNull android.graphics.RectF rect, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawRect(@android.annotation.NonNull android.graphics.Rect r, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawRect(float left, float top, float right, float bottom, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawRGB(int r, int g, int b) { throw new RuntimeException("Stub!"); }

public void drawRoundRect(@android.annotation.NonNull android.graphics.RectF rect, float rx, float ry, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawRoundRect(float left, float top, float right, float bottom, float rx, float ry, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawDoubleRoundRect(@android.annotation.NonNull android.graphics.RectF outer, float outerRx, float outerRy, @android.annotation.NonNull android.graphics.RectF inner, float innerRx, float innerRy, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawDoubleRoundRect(@android.annotation.NonNull android.graphics.RectF outer, @android.annotation.NonNull float[] outerRadii, @android.annotation.NonNull android.graphics.RectF inner, @android.annotation.NonNull float[] innerRadii, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawGlyphs(@android.annotation.NonNull int[] glyphIds, int glyphIdOffset, @android.annotation.NonNull float[] positions, int positionOffset, int glyphCount, @android.annotation.NonNull android.graphics.fonts.Font font, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawText(@android.annotation.NonNull char[] text, int index, int count, float x, float y, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawText(@android.annotation.NonNull java.lang.String text, float x, float y, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawText(@android.annotation.NonNull java.lang.String text, int start, int end, float x, float y, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawText(@android.annotation.NonNull java.lang.CharSequence text, int start, int end, float x, float y, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawTextOnPath(@android.annotation.NonNull char[] text, int index, int count, @android.annotation.NonNull android.graphics.Path path, float hOffset, float vOffset, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawTextOnPath(@android.annotation.NonNull java.lang.String text, @android.annotation.NonNull android.graphics.Path path, float hOffset, float vOffset, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawTextRun(@android.annotation.NonNull char[] text, int index, int count, int contextIndex, int contextCount, float x, float y, boolean isRtl, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawTextRun(@android.annotation.NonNull java.lang.CharSequence text, int start, int end, int contextStart, int contextEnd, float x, float y, boolean isRtl, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawTextRun(@android.annotation.NonNull android.graphics.text.MeasuredText text, int start, int end, int contextStart, int contextEnd, float x, float y, boolean isRtl, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawVertices(@android.annotation.NonNull android.graphics.Canvas.VertexMode mode, int vertexCount, @android.annotation.NonNull float[] verts, int vertOffset, @android.annotation.Nullable float[] texs, int texOffset, @android.annotation.Nullable int[] colors, int colorOffset, @android.annotation.Nullable short[] indices, int indexOffset, int indexCount, @android.annotation.NonNull android.graphics.Paint paint) { throw new RuntimeException("Stub!"); }

public void drawRenderNode(@android.annotation.NonNull android.graphics.RenderNode renderNode) { throw new RuntimeException("Stub!"); }

public static final int ALL_SAVE_FLAG = 31; // 0x1f
@SuppressWarnings({"unchecked", "deprecation", "all"})
@Deprecated
public enum EdgeType {
@Deprecated
BW,
@Deprecated
AA;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public enum VertexMode {
TRIANGLES,
TRIANGLE_STRIP,
TRIANGLE_FAN;
}

}

