/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class RenderEffect {

private RenderEffect() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createOffsetEffect(float offsetX, float offsetY) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createOffsetEffect(float offsetX, float offsetY, @android.annotation.NonNull android.graphics.RenderEffect input) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createBlurEffect(float radiusX, float radiusY, @android.annotation.NonNull android.graphics.RenderEffect inputEffect, @android.annotation.NonNull android.graphics.Shader.TileMode edgeTreatment) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createBlurEffect(float radiusX, float radiusY, @android.annotation.NonNull android.graphics.Shader.TileMode edgeTreatment) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createBitmapEffect(@android.annotation.NonNull android.graphics.Bitmap bitmap) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createBitmapEffect(@android.annotation.NonNull android.graphics.Bitmap bitmap, @android.annotation.Nullable android.graphics.Rect src, @android.annotation.NonNull android.graphics.Rect dst) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createColorFilterEffect(@android.annotation.NonNull android.graphics.ColorFilter colorFilter, @android.annotation.NonNull android.graphics.RenderEffect renderEffect) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createColorFilterEffect(@android.annotation.NonNull android.graphics.ColorFilter colorFilter) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createBlendModeEffect(@android.annotation.NonNull android.graphics.RenderEffect dst, @android.annotation.NonNull android.graphics.RenderEffect src, @android.annotation.NonNull android.graphics.BlendMode blendMode) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createChainEffect(@android.annotation.NonNull android.graphics.RenderEffect outer, @android.annotation.NonNull android.graphics.RenderEffect inner) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.RenderEffect createShaderEffect(@android.annotation.NonNull android.graphics.Shader shader) { throw new RuntimeException("Stub!"); }
}

