/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class Typeface {

private Typeface() { throw new RuntimeException("Stub!"); }

public int getWeight() { throw new RuntimeException("Stub!"); }

public int getStyle() { throw new RuntimeException("Stub!"); }

public final boolean isBold() { throw new RuntimeException("Stub!"); }

public final boolean isItalic() { throw new RuntimeException("Stub!"); }

public static android.graphics.Typeface create(java.lang.String familyName, int style) { throw new RuntimeException("Stub!"); }

public static android.graphics.Typeface create(android.graphics.Typeface family, int style) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.Typeface create(@android.annotation.Nullable android.graphics.Typeface family, int weight, boolean italic) { throw new RuntimeException("Stub!"); }

public static android.graphics.Typeface defaultFromStyle(int style) { throw new RuntimeException("Stub!"); }

public static android.graphics.Typeface createFromAsset(android.content.res.AssetManager mgr, java.lang.String path) { throw new RuntimeException("Stub!"); }

public static android.graphics.Typeface createFromFile(@android.annotation.Nullable java.io.File file) { throw new RuntimeException("Stub!"); }

public static android.graphics.Typeface createFromFile(@android.annotation.Nullable java.lang.String path) { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public static final int BOLD = 1; // 0x1

public static final int BOLD_ITALIC = 3; // 0x3

public static final android.graphics.Typeface DEFAULT;
static { DEFAULT = null; }

public static final android.graphics.Typeface DEFAULT_BOLD;
static { DEFAULT_BOLD = null; }

public static final int ITALIC = 2; // 0x2

public static final android.graphics.Typeface MONOSPACE;
static { MONOSPACE = null; }

public static final int NORMAL = 0; // 0x0

public static final android.graphics.Typeface SANS_SERIF;
static { SANS_SERIF = null; }

public static final android.graphics.Typeface SERIF;
static { SERIF = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.io.File path) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull java.io.FileDescriptor fd) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull java.lang.String path) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.content.res.AssetManager assetManager, @android.annotation.NonNull java.lang.String path) { throw new RuntimeException("Stub!"); }

public android.graphics.Typeface.Builder setWeight(int weight) { throw new RuntimeException("Stub!"); }

public android.graphics.Typeface.Builder setItalic(boolean italic) { throw new RuntimeException("Stub!"); }

public android.graphics.Typeface.Builder setTtcIndex(int ttcIndex) { throw new RuntimeException("Stub!"); }

public android.graphics.Typeface.Builder setFontVariationSettings(@android.annotation.Nullable java.lang.String variationSettings) { throw new RuntimeException("Stub!"); }

public android.graphics.Typeface.Builder setFontVariationSettings(@android.annotation.Nullable android.graphics.fonts.FontVariationAxis[] axes) { throw new RuntimeException("Stub!"); }

public android.graphics.Typeface.Builder setFallback(@android.annotation.Nullable java.lang.String familyName) { throw new RuntimeException("Stub!"); }

public android.graphics.Typeface build() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class CustomFallbackBuilder {

public CustomFallbackBuilder(@android.annotation.NonNull android.graphics.fonts.FontFamily family) { throw new RuntimeException("Stub!"); }

public static int getMaxCustomFallbackCount() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Typeface.CustomFallbackBuilder setSystemFallback(@android.annotation.NonNull java.lang.String familyName) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Typeface.CustomFallbackBuilder setStyle(@android.annotation.NonNull android.graphics.fonts.FontStyle style) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Typeface.CustomFallbackBuilder addCustomFallback(@android.annotation.NonNull android.graphics.fonts.FontFamily family) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Typeface build() { throw new RuntimeException("Stub!"); }
}

}

