/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics.drawable;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class GradientDrawable extends android.graphics.drawable.Drawable {

public GradientDrawable() { throw new RuntimeException("Stub!"); }

public GradientDrawable(android.graphics.drawable.GradientDrawable.Orientation orientation, int[] colors) { throw new RuntimeException("Stub!"); }

public boolean getPadding(android.graphics.Rect padding) { throw new RuntimeException("Stub!"); }

public void setCornerRadii(@android.annotation.Nullable float[] radii) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public float[] getCornerRadii() { throw new RuntimeException("Stub!"); }

public void setCornerRadius(float radius) { throw new RuntimeException("Stub!"); }

public float getCornerRadius() { throw new RuntimeException("Stub!"); }

public void setStroke(int width, int color) { throw new RuntimeException("Stub!"); }

public void setStroke(int width, android.content.res.ColorStateList colorStateList) { throw new RuntimeException("Stub!"); }

public void setStroke(int width, int color, float dashWidth, float dashGap) { throw new RuntimeException("Stub!"); }

public void setStroke(int width, android.content.res.ColorStateList colorStateList, float dashWidth, float dashGap) { throw new RuntimeException("Stub!"); }

public void setSize(int width, int height) { throw new RuntimeException("Stub!"); }

public void setShape(int shape) { throw new RuntimeException("Stub!"); }

public int getShape() { throw new RuntimeException("Stub!"); }

public void setGradientType(int gradient) { throw new RuntimeException("Stub!"); }

public int getGradientType() { throw new RuntimeException("Stub!"); }

public void setGradientCenter(float x, float y) { throw new RuntimeException("Stub!"); }

public float getGradientCenterX() { throw new RuntimeException("Stub!"); }

public float getGradientCenterY() { throw new RuntimeException("Stub!"); }

public void setGradientRadius(float gradientRadius) { throw new RuntimeException("Stub!"); }

public float getGradientRadius() { throw new RuntimeException("Stub!"); }

public void setUseLevel(boolean useLevel) { throw new RuntimeException("Stub!"); }

public boolean getUseLevel() { throw new RuntimeException("Stub!"); }

public android.graphics.drawable.GradientDrawable.Orientation getOrientation() { throw new RuntimeException("Stub!"); }

public void setOrientation(android.graphics.drawable.GradientDrawable.Orientation orientation) { throw new RuntimeException("Stub!"); }

public void setColors(@android.annotation.Nullable int[] colors) { throw new RuntimeException("Stub!"); }

public void setColors(@android.annotation.Nullable int[] colors, @android.annotation.Nullable float[] offsets) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public int[] getColors() { throw new RuntimeException("Stub!"); }

public void draw(android.graphics.Canvas canvas) { throw new RuntimeException("Stub!"); }

public void setInnerRadiusRatio(float innerRadiusRatio) { throw new RuntimeException("Stub!"); }

public float getInnerRadiusRatio() { throw new RuntimeException("Stub!"); }

public void setInnerRadius(int innerRadius) { throw new RuntimeException("Stub!"); }

public int getInnerRadius() { throw new RuntimeException("Stub!"); }

public void setThicknessRatio(float thicknessRatio) { throw new RuntimeException("Stub!"); }

public float getThicknessRatio() { throw new RuntimeException("Stub!"); }

public void setThickness(int thickness) { throw new RuntimeException("Stub!"); }

public int getThickness() { throw new RuntimeException("Stub!"); }

public void setPadding(int left, int top, int right, int bottom) { throw new RuntimeException("Stub!"); }

public void setColor(int argb) { throw new RuntimeException("Stub!"); }

public void setColor(@android.annotation.Nullable android.content.res.ColorStateList colorStateList) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.res.ColorStateList getColor() { throw new RuntimeException("Stub!"); }

protected boolean onStateChange(int[] stateSet) { throw new RuntimeException("Stub!"); }

public boolean isStateful() { throw new RuntimeException("Stub!"); }

public boolean hasFocusStateSpecified() { throw new RuntimeException("Stub!"); }

public int getChangingConfigurations() { throw new RuntimeException("Stub!"); }

public void setAlpha(int alpha) { throw new RuntimeException("Stub!"); }

public int getAlpha() { throw new RuntimeException("Stub!"); }

public void setDither(boolean dither) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.ColorFilter getColorFilter() { throw new RuntimeException("Stub!"); }

public void setColorFilter(@android.annotation.Nullable android.graphics.ColorFilter colorFilter) { throw new RuntimeException("Stub!"); }

public void setTintList(@android.annotation.Nullable android.content.res.ColorStateList tint) { throw new RuntimeException("Stub!"); }

public void setTintBlendMode(@android.annotation.NonNull android.graphics.BlendMode blendMode) { throw new RuntimeException("Stub!"); }

public int getOpacity() { throw new RuntimeException("Stub!"); }

protected void onBoundsChange(android.graphics.Rect r) { throw new RuntimeException("Stub!"); }

protected boolean onLevelChange(int level) { throw new RuntimeException("Stub!"); }

public void inflate(@android.annotation.NonNull android.content.res.Resources r, @android.annotation.NonNull org.xmlpull.v1.XmlPullParser parser, @android.annotation.NonNull android.util.AttributeSet attrs, @android.annotation.Nullable android.content.res.Resources.Theme theme) throws java.io.IOException, org.xmlpull.v1.XmlPullParserException { throw new RuntimeException("Stub!"); }

public void applyTheme(@android.annotation.NonNull android.content.res.Resources.Theme t) { throw new RuntimeException("Stub!"); }

public boolean canApplyTheme() { throw new RuntimeException("Stub!"); }

public int getIntrinsicWidth() { throw new RuntimeException("Stub!"); }

public int getIntrinsicHeight() { throw new RuntimeException("Stub!"); }

public android.graphics.Insets getOpticalInsets() { throw new RuntimeException("Stub!"); }

public android.graphics.drawable.Drawable.ConstantState getConstantState() { throw new RuntimeException("Stub!"); }

public void getOutline(android.graphics.Outline outline) { throw new RuntimeException("Stub!"); }

public android.graphics.drawable.Drawable mutate() { throw new RuntimeException("Stub!"); }

public static final int LINE = 2; // 0x2

public static final int LINEAR_GRADIENT = 0; // 0x0

public static final int OVAL = 1; // 0x1

public static final int RADIAL_GRADIENT = 1; // 0x1

public static final int RECTANGLE = 0; // 0x0

public static final int RING = 3; // 0x3

public static final int SWEEP_GRADIENT = 2; // 0x2
@SuppressWarnings({"unchecked", "deprecation", "all"})
public enum Orientation {
TOP_BOTTOM,
TR_BL,
RIGHT_LEFT,
BR_TL,
BOTTOM_TOP,
BL_TR,
LEFT_RIGHT,
TL_BR;
}

}

