/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics.fonts;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class Font {

Font() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.nio.ByteBuffer getBuffer() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.io.File getFile() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.fonts.FontStyle getStyle() { throw new RuntimeException("Stub!"); }

public int getTtcIndex() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.fonts.FontVariationAxis[] getAxes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.LocaleList getLocaleList() { throw new RuntimeException("Stub!"); }

public float getGlyphBounds(int glyphId, @android.annotation.NonNull android.graphics.Paint paint, @android.annotation.Nullable android.graphics.RectF outBoundingBox) { throw new RuntimeException("Stub!"); }

public void getMetrics(@android.annotation.NonNull android.graphics.Paint paint, @android.annotation.Nullable android.graphics.Paint.FontMetrics outMetrics) { throw new RuntimeException("Stub!"); }

public int getSourceIdentifier() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.nio.ByteBuffer buffer) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull java.io.File path) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.os.ParcelFileDescriptor fd) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.os.ParcelFileDescriptor fd, long offset, long size) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.content.res.AssetManager am, @android.annotation.NonNull java.lang.String path) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.content.res.Resources res, int resId) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.graphics.fonts.Font font) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.fonts.Font.Builder setWeight(int weight) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.fonts.Font.Builder setSlant(int slant) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.fonts.Font.Builder setTtcIndex(int ttcIndex) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.fonts.Font.Builder setFontVariationSettings(@android.annotation.Nullable java.lang.String variationSettings) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.fonts.Font.Builder setFontVariationSettings(@android.annotation.Nullable android.graphics.fonts.FontVariationAxis[] axes) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.fonts.Font build() throws java.io.IOException { throw new RuntimeException("Stub!"); }
}

}

