/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.hardware.biometrics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class BiometricManager {

BiometricManager() { throw new RuntimeException("Stub!"); }

@Deprecated
public int canAuthenticate() { throw new RuntimeException("Stub!"); }

public int canAuthenticate(int authenticators) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.biometrics.BiometricManager.Strings getStrings(int authenticators) { throw new RuntimeException("Stub!"); }

public static final int BIOMETRIC_ERROR_HW_UNAVAILABLE = 1; // 0x1

public static final int BIOMETRIC_ERROR_NONE_ENROLLED = 11; // 0xb

public static final int BIOMETRIC_ERROR_NO_HARDWARE = 12; // 0xc

public static final int BIOMETRIC_ERROR_SECURITY_UPDATE_REQUIRED = 15; // 0xf

public static final int BIOMETRIC_SUCCESS = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface Authenticators {

public static final int BIOMETRIC_STRONG = 15; // 0xf

public static final int BIOMETRIC_WEAK = 255; // 0xff

public static final int DEVICE_CREDENTIAL = 32768; // 0x8000
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Strings {

private Strings() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getButtonLabel() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getPromptMessage() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getSettingName() { throw new RuntimeException("Stub!"); }
}

}

