/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.hardware.display;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class DeviceProductInfo implements android.os.Parcelable {

public DeviceProductInfo(@android.annotation.Nullable java.lang.String name, @android.annotation.NonNull java.lang.String manufacturerPnpId, @android.annotation.NonNull java.lang.String productId, int modelYear, int connectionToSinkType) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getManufacturerPnpId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getProductId() { throw new RuntimeException("Stub!"); }

public int getModelYear() { throw new RuntimeException("Stub!"); }

public int getManufactureYear() { throw new RuntimeException("Stub!"); }

public int getManufactureWeek() { throw new RuntimeException("Stub!"); }

public int getConnectionToSinkType() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public static final int CONNECTION_TO_SINK_BUILT_IN = 1; // 0x1

public static final int CONNECTION_TO_SINK_DIRECT = 2; // 0x2

public static final int CONNECTION_TO_SINK_TRANSITIVE = 3; // 0x3

public static final int CONNECTION_TO_SINK_UNKNOWN = 0; // 0x0

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.hardware.display.DeviceProductInfo> CREATOR;
static { CREATOR = null; }
}

