/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.hardware.lights;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class LightsManager {

LightsManager() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public abstract java.util.List<android.hardware.lights.Light> getLights();

@android.annotation.NonNull
public abstract android.hardware.lights.LightState getLightState(@android.annotation.NonNull android.hardware.lights.Light light);

@android.annotation.NonNull
public abstract android.hardware.lights.LightsManager.LightsSession openSession();
@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class LightsSession implements java.lang.AutoCloseable {

LightsSession() { throw new RuntimeException("Stub!"); }

public abstract void requestLights(@android.annotation.NonNull android.hardware.lights.LightsRequest request);

public abstract void close();
}

}

