/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.location;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class GnssAntennaInfo implements android.os.Parcelable {

private GnssAntennaInfo() { throw new RuntimeException("Stub!"); }

public double getCarrierFrequencyMHz() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssAntennaInfo.PhaseCenterOffset getPhaseCenterOffset() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.location.GnssAntennaInfo.SphericalCorrections getPhaseCenterVariationCorrections() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.location.GnssAntennaInfo.SphericalCorrections getSignalGainCorrections() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.location.GnssAntennaInfo> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Builder {

@Deprecated
public Builder() { throw new RuntimeException("Stub!"); }

public Builder(double carrierFrequencyMHz, @android.annotation.NonNull android.location.GnssAntennaInfo.PhaseCenterOffset phaseCenterOffset) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.location.GnssAntennaInfo antennaInfo) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssAntennaInfo.Builder setCarrierFrequencyMHz(double carrierFrequencyMHz) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssAntennaInfo.Builder setPhaseCenterOffset(@android.annotation.NonNull android.location.GnssAntennaInfo.PhaseCenterOffset phaseCenterOffset) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssAntennaInfo.Builder setPhaseCenterVariationCorrections(@android.annotation.Nullable android.location.GnssAntennaInfo.SphericalCorrections phaseCenterVariationCorrections) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssAntennaInfo.Builder setSignalGainCorrections(@android.annotation.Nullable android.location.GnssAntennaInfo.SphericalCorrections signalGainCorrections) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssAntennaInfo build() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface Listener {

public void onGnssAntennaInfoReceived(@android.annotation.NonNull java.util.List<android.location.GnssAntennaInfo> gnssAntennaInfos);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class PhaseCenterOffset implements android.os.Parcelable {

public PhaseCenterOffset(double offsetXMm, double offsetXUncertaintyMm, double offsetYMm, double offsetYUncertaintyMm, double offsetZMm, double offsetZUncertaintyMm) { throw new RuntimeException("Stub!"); }

public double getXOffsetMm() { throw new RuntimeException("Stub!"); }

public double getXOffsetUncertaintyMm() { throw new RuntimeException("Stub!"); }

public double getYOffsetMm() { throw new RuntimeException("Stub!"); }

public double getYOffsetUncertaintyMm() { throw new RuntimeException("Stub!"); }

public double getZOffsetMm() { throw new RuntimeException("Stub!"); }

public double getZOffsetUncertaintyMm() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.location.GnssAntennaInfo.PhaseCenterOffset> CREATOR;
static { CREATOR = null; }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class SphericalCorrections implements android.os.Parcelable {

public SphericalCorrections(@android.annotation.NonNull double[][] corrections, @android.annotation.NonNull double[][] correctionUncertainties) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public double[][] getCorrectionsArray() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public double[][] getCorrectionUncertaintiesArray() { throw new RuntimeException("Stub!"); }

public double getDeltaTheta() { throw new RuntimeException("Stub!"); }

public double getDeltaPhi() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.location.GnssAntennaInfo.SphericalCorrections> CREATOR;
static { CREATOR = null; }
}

}

