/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.location;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class GnssCapabilities implements android.os.Parcelable {

private GnssCapabilities() { throw new RuntimeException("Stub!"); }

public boolean hasMeasurements() { throw new RuntimeException("Stub!"); }

public boolean hasNavigationMessages() { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean hasGnssAntennaInfo() { throw new RuntimeException("Stub!"); }

public boolean hasAntennaInfo() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.location.GnssCapabilities> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.location.GnssCapabilities capabilities) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssCapabilities.Builder setHasMeasurements(boolean capable) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssCapabilities.Builder setHasNavigationMessages(boolean capable) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssCapabilities.Builder setHasAntennaInfo(boolean capable) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssCapabilities build() { throw new RuntimeException("Stub!"); }
}

}

