/*
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.location;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface LocationListener {

public void onLocationChanged(@android.annotation.NonNull android.location.Location location);

public default void onLocationChanged(@android.annotation.NonNull java.util.List<android.location.Location> locations) { throw new RuntimeException("Stub!"); }

public default void onFlushComplete(int requestCode) { throw new RuntimeException("Stub!"); }

@Deprecated
public default void onStatusChanged(java.lang.String provider, int status, android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public default void onProviderEnabled(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

public default void onProviderDisabled(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }
}

