/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.location;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class LocationManager {

LocationManager() { throw new RuntimeException("Stub!"); }

public boolean isLocationEnabled() { throw new RuntimeException("Stub!"); }

public boolean isProviderEnabled(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.location.Location getLastKnownLocation(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

public void getCurrentLocation(@android.annotation.NonNull java.lang.String provider, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull java.util.function.Consumer<android.location.Location> consumer) { throw new RuntimeException("Stub!"); }

public void getCurrentLocation(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.location.LocationRequest locationRequest, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull java.util.function.Consumer<android.location.Location> consumer) { throw new RuntimeException("Stub!"); }

@Deprecated
public void requestSingleUpdate(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.location.LocationListener listener, @android.annotation.Nullable android.os.Looper looper) { throw new RuntimeException("Stub!"); }

@Deprecated
public void requestSingleUpdate(@android.annotation.NonNull android.location.Criteria criteria, @android.annotation.NonNull android.location.LocationListener listener, @android.annotation.Nullable android.os.Looper looper) { throw new RuntimeException("Stub!"); }

@Deprecated
public void requestSingleUpdate(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

@Deprecated
public void requestSingleUpdate(@android.annotation.NonNull android.location.Criteria criteria, @android.annotation.NonNull android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

public void requestLocationUpdates(@android.annotation.NonNull java.lang.String provider, long minTimeMs, float minDistanceM, @android.annotation.NonNull android.location.LocationListener listener) { throw new RuntimeException("Stub!"); }

public void requestLocationUpdates(@android.annotation.NonNull java.lang.String provider, long minTimeMs, float minDistanceM, @android.annotation.NonNull android.location.LocationListener listener, @android.annotation.Nullable android.os.Looper looper) { throw new RuntimeException("Stub!"); }

public void requestLocationUpdates(@android.annotation.NonNull java.lang.String provider, long minTimeMs, float minDistanceM, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.LocationListener listener) { throw new RuntimeException("Stub!"); }

@Deprecated
public void requestLocationUpdates(long minTimeMs, float minDistanceM, @android.annotation.NonNull android.location.Criteria criteria, @android.annotation.NonNull android.location.LocationListener listener, @android.annotation.Nullable android.os.Looper looper) { throw new RuntimeException("Stub!"); }

@Deprecated
public void requestLocationUpdates(long minTimeMs, float minDistanceM, @android.annotation.NonNull android.location.Criteria criteria, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.LocationListener listener) { throw new RuntimeException("Stub!"); }

public void requestLocationUpdates(@android.annotation.NonNull java.lang.String provider, long minTimeMs, float minDistanceM, @android.annotation.NonNull android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

@Deprecated
public void requestLocationUpdates(long minTimeMs, float minDistanceM, @android.annotation.NonNull android.location.Criteria criteria, @android.annotation.NonNull android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

public void requestLocationUpdates(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.location.LocationRequest locationRequest, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.LocationListener listener) { throw new RuntimeException("Stub!"); }

public void requestLocationUpdates(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.location.LocationRequest locationRequest, @android.annotation.NonNull android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

public void requestFlush(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.location.LocationListener listener, int requestCode) { throw new RuntimeException("Stub!"); }

public void requestFlush(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.app.PendingIntent pendingIntent, int requestCode) { throw new RuntimeException("Stub!"); }

public void removeUpdates(@android.annotation.NonNull android.location.LocationListener listener) { throw new RuntimeException("Stub!"); }

public void removeUpdates(@android.annotation.NonNull android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

public boolean hasProvider(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getAllProviders() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getProviders(boolean enabledOnly) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getProviders(@android.annotation.NonNull android.location.Criteria criteria, boolean enabledOnly) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getBestProvider(@android.annotation.NonNull android.location.Criteria criteria, boolean enabledOnly) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.Nullable
public android.location.LocationProvider getProvider(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.location.provider.ProviderProperties getProviderProperties(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

public boolean sendExtraCommand(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull java.lang.String command, @android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public void addTestProvider(@android.annotation.NonNull java.lang.String provider, boolean requiresNetwork, boolean requiresSatellite, boolean requiresCell, boolean hasMonetaryCost, boolean supportsAltitude, boolean supportsSpeed, boolean supportsBearing, int powerUsage, int accuracy) { throw new RuntimeException("Stub!"); }

public void addTestProvider(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.location.provider.ProviderProperties properties) { throw new RuntimeException("Stub!"); }

public void addTestProvider(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.location.provider.ProviderProperties properties, @android.annotation.NonNull java.util.Set<java.lang.String> extraAttributionTags) { throw new RuntimeException("Stub!"); }

public void removeTestProvider(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

public void setTestProviderLocation(@android.annotation.NonNull java.lang.String provider, @android.annotation.NonNull android.location.Location location) { throw new RuntimeException("Stub!"); }

@Deprecated
public void clearTestProviderLocation(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

public void setTestProviderEnabled(@android.annotation.NonNull java.lang.String provider, boolean enabled) { throw new RuntimeException("Stub!"); }

@Deprecated
public void clearTestProviderEnabled(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

@Deprecated
public void setTestProviderStatus(@android.annotation.NonNull java.lang.String provider, int status, @android.annotation.Nullable android.os.Bundle extras, long updateTime) { throw new RuntimeException("Stub!"); }

@Deprecated
public void clearTestProviderStatus(@android.annotation.NonNull java.lang.String provider) { throw new RuntimeException("Stub!"); }

public void addProximityAlert(double latitude, double longitude, float radius, long expiration, @android.annotation.NonNull android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

public void removeProximityAlert(@android.annotation.NonNull android.app.PendingIntent intent) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssCapabilities getGnssCapabilities() { throw new RuntimeException("Stub!"); }

public int getGnssYearOfHardware() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getGnssHardwareModelName() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.List<android.location.GnssAntennaInfo> getGnssAntennaInfos() { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.Nullable
public android.location.GpsStatus getGpsStatus(@android.annotation.Nullable android.location.GpsStatus status) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean addGpsStatusListener(android.location.GpsStatus.Listener listener) { throw new RuntimeException("Stub!"); }

@Deprecated
public void removeGpsStatusListener(android.location.GpsStatus.Listener listener) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean registerGnssStatusCallback(@android.annotation.NonNull android.location.GnssStatus.Callback callback) { throw new RuntimeException("Stub!"); }

public boolean registerGnssStatusCallback(@android.annotation.NonNull android.location.GnssStatus.Callback callback, @android.annotation.Nullable android.os.Handler handler) { throw new RuntimeException("Stub!"); }

public boolean registerGnssStatusCallback(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.GnssStatus.Callback callback) { throw new RuntimeException("Stub!"); }

public void unregisterGnssStatusCallback(@android.annotation.NonNull android.location.GnssStatus.Callback callback) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean addNmeaListener(@android.annotation.NonNull android.location.GpsStatus.NmeaListener listener) { throw new RuntimeException("Stub!"); }

@Deprecated
public void removeNmeaListener(@android.annotation.NonNull android.location.GpsStatus.NmeaListener listener) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean addNmeaListener(@android.annotation.NonNull android.location.OnNmeaMessageListener listener) { throw new RuntimeException("Stub!"); }

public boolean addNmeaListener(@android.annotation.NonNull android.location.OnNmeaMessageListener listener, @android.annotation.Nullable android.os.Handler handler) { throw new RuntimeException("Stub!"); }

public boolean addNmeaListener(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.OnNmeaMessageListener listener) { throw new RuntimeException("Stub!"); }

public void removeNmeaListener(@android.annotation.NonNull android.location.OnNmeaMessageListener listener) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean registerGnssMeasurementsCallback(@android.annotation.NonNull android.location.GnssMeasurementsEvent.Callback callback) { throw new RuntimeException("Stub!"); }

public boolean registerGnssMeasurementsCallback(@android.annotation.NonNull android.location.GnssMeasurementsEvent.Callback callback, @android.annotation.Nullable android.os.Handler handler) { throw new RuntimeException("Stub!"); }

public boolean registerGnssMeasurementsCallback(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.GnssMeasurementsEvent.Callback callback) { throw new RuntimeException("Stub!"); }

public boolean registerGnssMeasurementsCallback(@android.annotation.NonNull android.location.GnssMeasurementRequest request, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.GnssMeasurementsEvent.Callback callback) { throw new RuntimeException("Stub!"); }

public void unregisterGnssMeasurementsCallback(@android.annotation.NonNull android.location.GnssMeasurementsEvent.Callback callback) { throw new RuntimeException("Stub!"); }

public boolean registerAntennaInfoListener(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.GnssAntennaInfo.Listener listener) { throw new RuntimeException("Stub!"); }

public void unregisterAntennaInfoListener(@android.annotation.NonNull android.location.GnssAntennaInfo.Listener listener) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean registerGnssNavigationMessageCallback(@android.annotation.NonNull android.location.GnssNavigationMessage.Callback callback) { throw new RuntimeException("Stub!"); }

public boolean registerGnssNavigationMessageCallback(@android.annotation.NonNull android.location.GnssNavigationMessage.Callback callback, @android.annotation.Nullable android.os.Handler handler) { throw new RuntimeException("Stub!"); }

public boolean registerGnssNavigationMessageCallback(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.location.GnssNavigationMessage.Callback callback) { throw new RuntimeException("Stub!"); }

public void unregisterGnssNavigationMessageCallback(@android.annotation.NonNull android.location.GnssNavigationMessage.Callback callback) { throw new RuntimeException("Stub!"); }

public static final java.lang.String ACTION_GNSS_CAPABILITIES_CHANGED = "android.location.action.GNSS_CAPABILITIES_CHANGED";

public static final java.lang.String EXTRA_GNSS_CAPABILITIES = "android.location.extra.GNSS_CAPABILITIES";

public static final java.lang.String EXTRA_LOCATION_ENABLED = "android.location.extra.LOCATION_ENABLED";

public static final java.lang.String EXTRA_PROVIDER_ENABLED = "android.location.extra.PROVIDER_ENABLED";

public static final java.lang.String EXTRA_PROVIDER_NAME = "android.location.extra.PROVIDER_NAME";

public static final java.lang.String FUSED_PROVIDER = "fused";

public static final java.lang.String GPS_PROVIDER = "gps";

public static final java.lang.String KEY_FLUSH_COMPLETE = "flushComplete";

public static final java.lang.String KEY_LOCATIONS = "locations";

public static final java.lang.String KEY_LOCATION_CHANGED = "location";

public static final java.lang.String KEY_PROVIDER_ENABLED = "providerEnabled";

public static final java.lang.String KEY_PROXIMITY_ENTERING = "entering";

@Deprecated public static final java.lang.String KEY_STATUS_CHANGED = "status";

public static final java.lang.String MODE_CHANGED_ACTION = "android.location.MODE_CHANGED";

public static final java.lang.String NETWORK_PROVIDER = "network";

public static final java.lang.String PASSIVE_PROVIDER = "passive";

public static final java.lang.String PROVIDERS_CHANGED_ACTION = "android.location.PROVIDERS_CHANGED";
}

