/*
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class MediaMetadataRetriever implements java.lang.AutoCloseable {

public MediaMetadataRetriever() { throw new RuntimeException("Stub!"); }

public void setDataSource(java.lang.String path) throws java.lang.IllegalArgumentException { throw new RuntimeException("Stub!"); }

public void setDataSource(java.lang.String uri, java.util.Map<java.lang.String,java.lang.String> headers) throws java.lang.IllegalArgumentException { throw new RuntimeException("Stub!"); }

public void setDataSource(java.io.FileDescriptor fd, long offset, long length) throws java.lang.IllegalArgumentException { throw new RuntimeException("Stub!"); }

public void setDataSource(java.io.FileDescriptor fd) throws java.lang.IllegalArgumentException { throw new RuntimeException("Stub!"); }

public void setDataSource(android.content.Context context, android.net.Uri uri) throws java.lang.IllegalArgumentException, java.lang.SecurityException { throw new RuntimeException("Stub!"); }

public void setDataSource(android.media.MediaDataSource dataSource) throws java.lang.IllegalArgumentException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String extractMetadata(int keyCode) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getFrameAtTime(long timeUs, int option) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getFrameAtTime(long timeUs, int option, @android.annotation.NonNull android.media.MediaMetadataRetriever.BitmapParams params) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getScaledFrameAtTime(long timeUs, int option, int dstWidth, int dstHeight) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getScaledFrameAtTime(long timeUs, int option, int dstWidth, int dstHeight, @android.annotation.NonNull android.media.MediaMetadataRetriever.BitmapParams params) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getFrameAtTime(long timeUs) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getFrameAtTime() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getFrameAtIndex(int frameIndex, @android.annotation.NonNull android.media.MediaMetadataRetriever.BitmapParams params) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getFrameAtIndex(int frameIndex) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.graphics.Bitmap> getFramesAtIndex(int frameIndex, int numFrames, @android.annotation.NonNull android.media.MediaMetadataRetriever.BitmapParams params) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.graphics.Bitmap> getFramesAtIndex(int frameIndex, int numFrames) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getImageAtIndex(int imageIndex, @android.annotation.NonNull android.media.MediaMetadataRetriever.BitmapParams params) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getImageAtIndex(int imageIndex) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getPrimaryImage(@android.annotation.NonNull android.media.MediaMetadataRetriever.BitmapParams params) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getPrimaryImage() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public byte[] getEmbeddedPicture() { throw new RuntimeException("Stub!"); }

public void close() { throw new RuntimeException("Stub!"); }

public native void release();

protected void finalize() throws java.lang.Throwable { throw new RuntimeException("Stub!"); }

public static final int METADATA_KEY_ALBUM = 1; // 0x1

public static final int METADATA_KEY_ALBUMARTIST = 13; // 0xd

public static final int METADATA_KEY_ARTIST = 2; // 0x2

public static final int METADATA_KEY_AUTHOR = 3; // 0x3

public static final int METADATA_KEY_BITRATE = 20; // 0x14

public static final int METADATA_KEY_BITS_PER_SAMPLE = 39; // 0x27

public static final int METADATA_KEY_CAPTURE_FRAMERATE = 25; // 0x19

public static final int METADATA_KEY_CD_TRACK_NUMBER = 0; // 0x0

public static final int METADATA_KEY_COLOR_RANGE = 37; // 0x25

public static final int METADATA_KEY_COLOR_STANDARD = 35; // 0x23

public static final int METADATA_KEY_COLOR_TRANSFER = 36; // 0x24

public static final int METADATA_KEY_COMPILATION = 15; // 0xf

public static final int METADATA_KEY_COMPOSER = 4; // 0x4

public static final int METADATA_KEY_DATE = 5; // 0x5

public static final int METADATA_KEY_DISC_NUMBER = 14; // 0xe

public static final int METADATA_KEY_DURATION = 9; // 0x9

public static final int METADATA_KEY_EXIF_LENGTH = 34; // 0x22

public static final int METADATA_KEY_EXIF_OFFSET = 33; // 0x21

public static final int METADATA_KEY_GENRE = 6; // 0x6

public static final int METADATA_KEY_HAS_AUDIO = 16; // 0x10

public static final int METADATA_KEY_HAS_IMAGE = 26; // 0x1a

public static final int METADATA_KEY_HAS_VIDEO = 17; // 0x11

public static final int METADATA_KEY_IMAGE_COUNT = 27; // 0x1b

public static final int METADATA_KEY_IMAGE_HEIGHT = 30; // 0x1e

public static final int METADATA_KEY_IMAGE_PRIMARY = 28; // 0x1c

public static final int METADATA_KEY_IMAGE_ROTATION = 31; // 0x1f

public static final int METADATA_KEY_IMAGE_WIDTH = 29; // 0x1d

public static final int METADATA_KEY_LOCATION = 23; // 0x17

public static final int METADATA_KEY_MIMETYPE = 12; // 0xc

public static final int METADATA_KEY_NUM_TRACKS = 10; // 0xa

public static final int METADATA_KEY_SAMPLERATE = 38; // 0x26

public static final int METADATA_KEY_TITLE = 7; // 0x7

public static final int METADATA_KEY_VIDEO_FRAME_COUNT = 32; // 0x20

public static final int METADATA_KEY_VIDEO_HEIGHT = 19; // 0x13

public static final int METADATA_KEY_VIDEO_ROTATION = 24; // 0x18

public static final int METADATA_KEY_VIDEO_WIDTH = 18; // 0x12

public static final int METADATA_KEY_WRITER = 11; // 0xb

public static final int METADATA_KEY_XMP_LENGTH = 42; // 0x2a

public static final int METADATA_KEY_XMP_OFFSET = 41; // 0x29

public static final int METADATA_KEY_YEAR = 8; // 0x8

public static final int OPTION_CLOSEST = 3; // 0x3

public static final int OPTION_CLOSEST_SYNC = 2; // 0x2

public static final int OPTION_NEXT_SYNC = 1; // 0x1

public static final int OPTION_PREVIOUS_SYNC = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class BitmapParams {

public BitmapParams() { throw new RuntimeException("Stub!"); }

public void setPreferredConfig(@android.annotation.NonNull android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Bitmap.Config getPreferredConfig() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Bitmap.Config getActualConfig() { throw new RuntimeException("Stub!"); }
}

}

