/*
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class ToneGenerator {

public ToneGenerator(int streamType, int volume) { throw new RuntimeException("Stub!"); }

public boolean startTone(int toneType) { throw new RuntimeException("Stub!"); }

public native boolean startTone(int toneType, int durationMs);

public native void stopTone();

public native void release();

public final native int getAudioSessionId();

protected void finalize() { throw new RuntimeException("Stub!"); }

public static final int MAX_VOLUME = 100; // 0x64

public static final int MIN_VOLUME = 0; // 0x0

public static final int TONE_CDMA_ABBR_ALERT = 97; // 0x61

public static final int TONE_CDMA_ABBR_INTERCEPT = 37; // 0x25

public static final int TONE_CDMA_ABBR_REORDER = 39; // 0x27

public static final int TONE_CDMA_ALERT_AUTOREDIAL_LITE = 87; // 0x57

public static final int TONE_CDMA_ALERT_CALL_GUARD = 93; // 0x5d

public static final int TONE_CDMA_ALERT_INCALL_LITE = 91; // 0x5b

public static final int TONE_CDMA_ALERT_NETWORK_LITE = 86; // 0x56

public static final int TONE_CDMA_ANSWER = 42; // 0x2a

public static final int TONE_CDMA_CALLDROP_LITE = 95; // 0x5f

public static final int TONE_CDMA_CALL_SIGNAL_ISDN_INTERGROUP = 46; // 0x2e

public static final int TONE_CDMA_CALL_SIGNAL_ISDN_NORMAL = 45; // 0x2d

public static final int TONE_CDMA_CALL_SIGNAL_ISDN_PAT3 = 48; // 0x30

public static final int TONE_CDMA_CALL_SIGNAL_ISDN_PAT5 = 50; // 0x32

public static final int TONE_CDMA_CALL_SIGNAL_ISDN_PAT6 = 51; // 0x33

public static final int TONE_CDMA_CALL_SIGNAL_ISDN_PAT7 = 52; // 0x34

public static final int TONE_CDMA_CALL_SIGNAL_ISDN_PING_RING = 49; // 0x31

public static final int TONE_CDMA_CALL_SIGNAL_ISDN_SP_PRI = 47; // 0x2f

public static final int TONE_CDMA_CONFIRM = 41; // 0x29

public static final int TONE_CDMA_DIAL_TONE_LITE = 34; // 0x22

public static final int TONE_CDMA_EMERGENCY_RINGBACK = 92; // 0x5c

public static final int TONE_CDMA_HIGH_L = 53; // 0x35

public static final int TONE_CDMA_HIGH_PBX_L = 71; // 0x47

public static final int TONE_CDMA_HIGH_PBX_SLS = 80; // 0x50

public static final int TONE_CDMA_HIGH_PBX_SS = 74; // 0x4a

public static final int TONE_CDMA_HIGH_PBX_SSL = 77; // 0x4d

public static final int TONE_CDMA_HIGH_PBX_S_X4 = 83; // 0x53

public static final int TONE_CDMA_HIGH_SLS = 65; // 0x41

public static final int TONE_CDMA_HIGH_SS = 56; // 0x38

public static final int TONE_CDMA_HIGH_SSL = 59; // 0x3b

public static final int TONE_CDMA_HIGH_SS_2 = 62; // 0x3e

public static final int TONE_CDMA_HIGH_S_X4 = 68; // 0x44

public static final int TONE_CDMA_INTERCEPT = 36; // 0x24

public static final int TONE_CDMA_KEYPAD_VOLUME_KEY_LITE = 89; // 0x59

public static final int TONE_CDMA_LOW_L = 55; // 0x37

public static final int TONE_CDMA_LOW_PBX_L = 73; // 0x49

public static final int TONE_CDMA_LOW_PBX_SLS = 82; // 0x52

public static final int TONE_CDMA_LOW_PBX_SS = 76; // 0x4c

public static final int TONE_CDMA_LOW_PBX_SSL = 79; // 0x4f

public static final int TONE_CDMA_LOW_PBX_S_X4 = 85; // 0x55

public static final int TONE_CDMA_LOW_SLS = 67; // 0x43

public static final int TONE_CDMA_LOW_SS = 58; // 0x3a

public static final int TONE_CDMA_LOW_SSL = 61; // 0x3d

public static final int TONE_CDMA_LOW_SS_2 = 64; // 0x40

public static final int TONE_CDMA_LOW_S_X4 = 70; // 0x46

public static final int TONE_CDMA_MED_L = 54; // 0x36

public static final int TONE_CDMA_MED_PBX_L = 72; // 0x48

public static final int TONE_CDMA_MED_PBX_SLS = 81; // 0x51

public static final int TONE_CDMA_MED_PBX_SS = 75; // 0x4b

public static final int TONE_CDMA_MED_PBX_SSL = 78; // 0x4e

public static final int TONE_CDMA_MED_PBX_S_X4 = 84; // 0x54

public static final int TONE_CDMA_MED_SLS = 66; // 0x42

public static final int TONE_CDMA_MED_SS = 57; // 0x39

public static final int TONE_CDMA_MED_SSL = 60; // 0x3c

public static final int TONE_CDMA_MED_SS_2 = 63; // 0x3f

public static final int TONE_CDMA_MED_S_X4 = 69; // 0x45

public static final int TONE_CDMA_NETWORK_BUSY = 40; // 0x28

public static final int TONE_CDMA_NETWORK_BUSY_ONE_SHOT = 96; // 0x60

public static final int TONE_CDMA_NETWORK_CALLWAITING = 43; // 0x2b

public static final int TONE_CDMA_NETWORK_USA_RINGBACK = 35; // 0x23

public static final int TONE_CDMA_ONE_MIN_BEEP = 88; // 0x58

public static final int TONE_CDMA_PIP = 44; // 0x2c

public static final int TONE_CDMA_PRESSHOLDKEY_LITE = 90; // 0x5a

public static final int TONE_CDMA_REORDER = 38; // 0x26

public static final int TONE_CDMA_SIGNAL_OFF = 98; // 0x62

public static final int TONE_CDMA_SOFT_ERROR_LITE = 94; // 0x5e

public static final int TONE_DTMF_0 = 0; // 0x0

public static final int TONE_DTMF_1 = 1; // 0x1

public static final int TONE_DTMF_2 = 2; // 0x2

public static final int TONE_DTMF_3 = 3; // 0x3

public static final int TONE_DTMF_4 = 4; // 0x4

public static final int TONE_DTMF_5 = 5; // 0x5

public static final int TONE_DTMF_6 = 6; // 0x6

public static final int TONE_DTMF_7 = 7; // 0x7

public static final int TONE_DTMF_8 = 8; // 0x8

public static final int TONE_DTMF_9 = 9; // 0x9

public static final int TONE_DTMF_A = 12; // 0xc

public static final int TONE_DTMF_B = 13; // 0xd

public static final int TONE_DTMF_C = 14; // 0xe

public static final int TONE_DTMF_D = 15; // 0xf

public static final int TONE_DTMF_P = 11; // 0xb

public static final int TONE_DTMF_S = 10; // 0xa

public static final int TONE_PROP_ACK = 25; // 0x19

public static final int TONE_PROP_BEEP = 24; // 0x18

public static final int TONE_PROP_BEEP2 = 28; // 0x1c

public static final int TONE_PROP_NACK = 26; // 0x1a

public static final int TONE_PROP_PROMPT = 27; // 0x1b

public static final int TONE_SUP_BUSY = 17; // 0x11

public static final int TONE_SUP_CALL_WAITING = 22; // 0x16

public static final int TONE_SUP_CONFIRM = 32; // 0x20

public static final int TONE_SUP_CONGESTION = 18; // 0x12

public static final int TONE_SUP_CONGESTION_ABBREV = 31; // 0x1f

public static final int TONE_SUP_DIAL = 16; // 0x10

public static final int TONE_SUP_ERROR = 21; // 0x15

public static final int TONE_SUP_INTERCEPT = 29; // 0x1d

public static final int TONE_SUP_INTERCEPT_ABBREV = 30; // 0x1e

public static final int TONE_SUP_PIP = 33; // 0x21

public static final int TONE_SUP_RADIO_ACK = 19; // 0x13

public static final int TONE_SUP_RADIO_NOTAVAIL = 20; // 0x14

public static final int TONE_SUP_RINGTONE = 23; // 0x17
}

