/*
 * Copyright (C) 2010 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.audiofx;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class AudioEffect {

AudioEffect() { throw new RuntimeException("Stub!"); }

public void release() { throw new RuntimeException("Stub!"); }

protected void finalize() { throw new RuntimeException("Stub!"); }

public android.media.audiofx.AudioEffect.Descriptor getDescriptor() throws java.lang.IllegalStateException { throw new RuntimeException("Stub!"); }

public static android.media.audiofx.AudioEffect.Descriptor[] queryEffects() { throw new RuntimeException("Stub!"); }

public int setEnabled(boolean enabled) throws java.lang.IllegalStateException { throw new RuntimeException("Stub!"); }

public int getId() throws java.lang.IllegalStateException { throw new RuntimeException("Stub!"); }

public boolean getEnabled() throws java.lang.IllegalStateException { throw new RuntimeException("Stub!"); }

public boolean hasControl() throws java.lang.IllegalStateException { throw new RuntimeException("Stub!"); }

public void setEnableStatusListener(android.media.audiofx.AudioEffect.OnEnableStatusChangeListener listener) { throw new RuntimeException("Stub!"); }

public void setControlStatusListener(android.media.audiofx.AudioEffect.OnControlStatusChangeListener listener) { throw new RuntimeException("Stub!"); }

public static final java.lang.String ACTION_CLOSE_AUDIO_EFFECT_CONTROL_SESSION = "android.media.action.CLOSE_AUDIO_EFFECT_CONTROL_SESSION";

public static final java.lang.String ACTION_DISPLAY_AUDIO_EFFECT_CONTROL_PANEL = "android.media.action.DISPLAY_AUDIO_EFFECT_CONTROL_PANEL";

public static final java.lang.String ACTION_OPEN_AUDIO_EFFECT_CONTROL_SESSION = "android.media.action.OPEN_AUDIO_EFFECT_CONTROL_SESSION";

public static final int ALREADY_EXISTS = -2; // 0xfffffffe

public static final int CONTENT_TYPE_GAME = 2; // 0x2

public static final int CONTENT_TYPE_MOVIE = 1; // 0x1

public static final int CONTENT_TYPE_MUSIC = 0; // 0x0

public static final int CONTENT_TYPE_VOICE = 3; // 0x3

public static final java.lang.String EFFECT_AUXILIARY = "Auxiliary";

public static final java.lang.String EFFECT_INSERT = "Insert";

public static final java.lang.String EFFECT_POST_PROCESSING = "Post Processing";

public static final java.lang.String EFFECT_PRE_PROCESSING = "Pre Processing";

public static final java.util.UUID EFFECT_TYPE_AEC;
static { EFFECT_TYPE_AEC = null; }

public static final java.util.UUID EFFECT_TYPE_AGC;
static { EFFECT_TYPE_AGC = null; }

public static final java.util.UUID EFFECT_TYPE_BASS_BOOST;
static { EFFECT_TYPE_BASS_BOOST = null; }

public static final java.util.UUID EFFECT_TYPE_DYNAMICS_PROCESSING;
static { EFFECT_TYPE_DYNAMICS_PROCESSING = null; }

public static final java.util.UUID EFFECT_TYPE_ENV_REVERB;
static { EFFECT_TYPE_ENV_REVERB = null; }

public static final java.util.UUID EFFECT_TYPE_EQUALIZER;
static { EFFECT_TYPE_EQUALIZER = null; }

@android.annotation.NonNull public static final java.util.UUID EFFECT_TYPE_HAPTIC_GENERATOR;
static { EFFECT_TYPE_HAPTIC_GENERATOR = null; }

public static final java.util.UUID EFFECT_TYPE_LOUDNESS_ENHANCER;
static { EFFECT_TYPE_LOUDNESS_ENHANCER = null; }

public static final java.util.UUID EFFECT_TYPE_NS;
static { EFFECT_TYPE_NS = null; }

public static final java.util.UUID EFFECT_TYPE_PRESET_REVERB;
static { EFFECT_TYPE_PRESET_REVERB = null; }

public static final java.util.UUID EFFECT_TYPE_VIRTUALIZER;
static { EFFECT_TYPE_VIRTUALIZER = null; }

public static final int ERROR = -1; // 0xffffffff

public static final int ERROR_BAD_VALUE = -4; // 0xfffffffc

public static final int ERROR_DEAD_OBJECT = -7; // 0xfffffff9

public static final int ERROR_INVALID_OPERATION = -5; // 0xfffffffb

public static final int ERROR_NO_INIT = -3; // 0xfffffffd

public static final int ERROR_NO_MEMORY = -6; // 0xfffffffa

public static final java.lang.String EXTRA_AUDIO_SESSION = "android.media.extra.AUDIO_SESSION";

public static final java.lang.String EXTRA_CONTENT_TYPE = "android.media.extra.CONTENT_TYPE";

public static final java.lang.String EXTRA_PACKAGE_NAME = "android.media.extra.PACKAGE_NAME";

public static final int SUCCESS = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Descriptor {

public Descriptor() { throw new RuntimeException("Stub!"); }

public Descriptor(java.lang.String type, java.lang.String uuid, java.lang.String connectMode, java.lang.String name, java.lang.String implementor) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public java.lang.String connectMode;

public java.lang.String implementor;

public java.lang.String name;

public java.util.UUID type;

public java.util.UUID uuid;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnControlStatusChangeListener {

public void onControlStatusChange(android.media.audiofx.AudioEffect effect, boolean controlGranted);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnEnableStatusChangeListener {

public void onEnableStatusChange(android.media.audiofx.AudioEffect effect, boolean enabled);
}

}

