/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.metrics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class NetworkEvent extends android.media.metrics.Event implements android.os.Parcelable {

private NetworkEvent() { throw new RuntimeException("Stub!"); }

public int getNetworkType() { throw new RuntimeException("Stub!"); }

public long getTimeSinceCreatedMillis() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getMetricsBundle() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.metrics.NetworkEvent> CREATOR;
static { CREATOR = null; }

public static final int NETWORK_TYPE_2G = 4; // 0x4

public static final int NETWORK_TYPE_3G = 5; // 0x5

public static final int NETWORK_TYPE_4G = 6; // 0x6

public static final int NETWORK_TYPE_5G_NSA = 7; // 0x7

public static final int NETWORK_TYPE_5G_SA = 8; // 0x8

public static final int NETWORK_TYPE_ETHERNET = 3; // 0x3

public static final int NETWORK_TYPE_OFFLINE = 9; // 0x9

public static final int NETWORK_TYPE_OTHER = 1; // 0x1

public static final int NETWORK_TYPE_UNKNOWN = 0; // 0x0

public static final int NETWORK_TYPE_WIFI = 2; // 0x2
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.NetworkEvent.Builder setNetworkType(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.NetworkEvent.Builder setTimeSinceCreatedMillis(long value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.NetworkEvent.Builder setMetricsBundle(@android.annotation.NonNull android.os.Bundle metricsBundle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.NetworkEvent build() { throw new RuntimeException("Stub!"); }
}

}

