/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.net;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class Ikev2VpnProfile extends android.net.PlatformVpnProfile {

private Ikev2VpnProfile() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getServerAddr() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getUserIdentity() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public byte[] getPresharedKey() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.security.cert.X509Certificate getServerRootCaCert() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getUsername() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getPassword() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.security.PrivateKey getRsaPrivateKey() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.security.cert.X509Certificate getUserCert() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.ProxyInfo getProxyInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getAllowedAlgorithms() { throw new RuntimeException("Stub!"); }

public boolean isBypassable() { throw new RuntimeException("Stub!"); }

public boolean isMetered() { throw new RuntimeException("Stub!"); }

public int getMaxMtu() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.lang.String serverAddr, @android.annotation.NonNull java.lang.String identity) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile.Builder setAuthUsernamePassword(@android.annotation.NonNull java.lang.String user, @android.annotation.NonNull java.lang.String pass, @android.annotation.Nullable java.security.cert.X509Certificate serverRootCa) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile.Builder setAuthDigitalSignature(@android.annotation.NonNull java.security.cert.X509Certificate userCert, @android.annotation.NonNull java.security.PrivateKey key, @android.annotation.Nullable java.security.cert.X509Certificate serverRootCa) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile.Builder setAuthPsk(@android.annotation.NonNull byte[] psk) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile.Builder setBypassable(boolean isBypassable) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile.Builder setProxy(@android.annotation.Nullable android.net.ProxyInfo proxy) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile.Builder setMaxMtu(int mtu) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile.Builder setMetered(boolean isMetered) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile.Builder setAllowedAlgorithms(@android.annotation.NonNull java.util.List<java.lang.String> algorithmNames) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Ikev2VpnProfile build() { throw new RuntimeException("Stub!"); }
}

}

