/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.net.vcn;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class VcnManager {

VcnManager() { throw new RuntimeException("Stub!"); }

public void setVcnConfig(@android.annotation.NonNull android.os.ParcelUuid subscriptionGroup, @android.annotation.NonNull android.net.vcn.VcnConfig config) throws java.io.IOException { throw new RuntimeException("Stub!"); }

public void clearVcnConfig(@android.annotation.NonNull android.os.ParcelUuid subscriptionGroup) throws java.io.IOException { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.os.ParcelUuid> getConfiguredSubscriptionGroups() { throw new RuntimeException("Stub!"); }

public void registerVcnStatusCallback(@android.annotation.NonNull android.os.ParcelUuid subscriptionGroup, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.net.vcn.VcnManager.VcnStatusCallback callback) { throw new RuntimeException("Stub!"); }

public void unregisterVcnStatusCallback(@android.annotation.NonNull android.net.vcn.VcnManager.VcnStatusCallback callback) { throw new RuntimeException("Stub!"); }

public static final int VCN_ERROR_CODE_CONFIG_ERROR = 1; // 0x1

public static final int VCN_ERROR_CODE_INTERNAL_ERROR = 0; // 0x0

public static final int VCN_ERROR_CODE_NETWORK_ERROR = 2; // 0x2

public static final int VCN_STATUS_CODE_ACTIVE = 2; // 0x2

public static final int VCN_STATUS_CODE_INACTIVE = 1; // 0x1

public static final int VCN_STATUS_CODE_NOT_CONFIGURED = 0; // 0x0

public static final int VCN_STATUS_CODE_SAFE_MODE = 3; // 0x3
@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class VcnStatusCallback {

public VcnStatusCallback() { throw new RuntimeException("Stub!"); }

public abstract void onStatusChanged(int statusCode);

public abstract void onGatewayConnectionError(@android.annotation.NonNull java.lang.String gatewayConnectionName, int errorCode, @android.annotation.Nullable java.lang.Throwable detail);
}

}

