/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.os;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class VibrationAttributes implements android.os.Parcelable {

private VibrationAttributes() { throw new RuntimeException("Stub!"); }

public int getUsageClass() { throw new RuntimeException("Stub!"); }

public int getUsage() { throw new RuntimeException("Stub!"); }

public int getFlags() { throw new RuntimeException("Stub!"); }

public boolean isFlagSet(int flag) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.os.VibrationAttributes> CREATOR;
static { CREATOR = null; }

public static final int FLAG_BYPASS_INTERRUPTION_POLICY = 1; // 0x1

public static final int USAGE_ALARM = 17; // 0x11

public static final int USAGE_CLASS_ALARM = 1; // 0x1

public static final int USAGE_CLASS_FEEDBACK = 2; // 0x2

public static final int USAGE_CLASS_MASK = 15; // 0xf

public static final int USAGE_CLASS_UNKNOWN = 0; // 0x0

public static final int USAGE_COMMUNICATION_REQUEST = 65; // 0x41

public static final int USAGE_HARDWARE_FEEDBACK = 50; // 0x32

public static final int USAGE_NOTIFICATION = 49; // 0x31

public static final int USAGE_PHYSICAL_EMULATION = 34; // 0x22

public static final int USAGE_RINGTONE = 33; // 0x21

public static final int USAGE_TOUCH = 18; // 0x12

public static final int USAGE_UNKNOWN = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.Nullable android.os.VibrationAttributes vib) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.VibrationAttributes build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.VibrationAttributes.Builder setUsage(int usage) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.VibrationAttributes.Builder setFlags(int flags, int mask) { throw new RuntimeException("Stub!"); }
}

}

