/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.os;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class VibratorManager {

VibratorManager() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public abstract int[] getVibratorIds();

@android.annotation.NonNull
public abstract android.os.Vibrator getVibrator(int vibratorId);

@android.annotation.NonNull
public abstract android.os.Vibrator getDefaultVibrator();

public final void vibrate(@android.annotation.NonNull android.os.CombinedVibration effect) { throw new RuntimeException("Stub!"); }

public final void vibrate(@android.annotation.NonNull android.os.CombinedVibration effect, @android.annotation.Nullable android.os.VibrationAttributes attributes) { throw new RuntimeException("Stub!"); }

public abstract void cancel();
}

