/*
 * Copyright (C) 2013 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.print;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class PrintJobInfo implements android.os.Parcelable {

PrintJobInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.print.PrintJobId getId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getLabel() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.print.PrinterId getPrinterId() { throw new RuntimeException("Stub!"); }

public int getState() { throw new RuntimeException("Stub!"); }

public long getCreationTime() { throw new RuntimeException("Stub!"); }

public int getCopies() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.print.PageRange[] getPages() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes getAttributes() { throw new RuntimeException("Stub!"); }

public boolean hasAdvancedOption(java.lang.String key) { throw new RuntimeException("Stub!"); }

public java.lang.String getAdvancedStringOption(java.lang.String key) { throw new RuntimeException("Stub!"); }

public int getAdvancedIntOption(java.lang.String key) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.print.PrintJobInfo> CREATOR;
static { CREATOR = null; }

public static final int STATE_BLOCKED = 4; // 0x4

public static final int STATE_CANCELED = 7; // 0x7

public static final int STATE_COMPLETED = 5; // 0x5

public static final int STATE_CREATED = 1; // 0x1

public static final int STATE_FAILED = 6; // 0x6

public static final int STATE_QUEUED = 2; // 0x2

public static final int STATE_STARTED = 3; // 0x3
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.Nullable android.print.PrintJobInfo prototype) { throw new RuntimeException("Stub!"); }

public void setCopies(int copies) { throw new RuntimeException("Stub!"); }

public void setAttributes(@android.annotation.NonNull android.print.PrintAttributes attributes) { throw new RuntimeException("Stub!"); }

public void setPages(@android.annotation.NonNull android.print.PageRange[] pages) { throw new RuntimeException("Stub!"); }

public void putAdvancedOption(@android.annotation.NonNull java.lang.String key, @android.annotation.Nullable java.lang.String value) { throw new RuntimeException("Stub!"); }

public void putAdvancedOption(@android.annotation.NonNull java.lang.String key, int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintJobInfo build() { throw new RuntimeException("Stub!"); }
}

}

