/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.provider;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class SimPhonebookContract {

private SimPhonebookContract() { throw new RuntimeException("Stub!"); }

public static final java.lang.String AUTHORITY = "com.android.simphonebook";

@android.annotation.NonNull public static final android.net.Uri AUTHORITY_URI;
static { AUTHORITY_URI = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class ElementaryFiles {

private ElementaryFiles() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.net.Uri getItemUri(int subscriptionId, int efType) { throw new RuntimeException("Stub!"); }

public static final java.lang.String CONTENT_ITEM_TYPE = "vnd.android.cursor.item/sim-elementary-file";

public static final java.lang.String CONTENT_TYPE = "vnd.android.cursor.dir/sim-elementary-file";

@android.annotation.NonNull public static final android.net.Uri CONTENT_URI;
static { CONTENT_URI = null; }

public static final int EF_ADN = 1; // 0x1

public static final int EF_FDN = 2; // 0x2

public static final int EF_SDN = 3; // 0x3

public static final java.lang.String EF_TYPE = "ef_type";

public static final int EF_UNKNOWN = 0; // 0x0

public static final java.lang.String MAX_RECORDS = "max_records";

public static final java.lang.String NAME_MAX_LENGTH = "name_max_length";

public static final java.lang.String PHONE_NUMBER_MAX_LENGTH = "phone_number_max_length";

public static final java.lang.String RECORD_COUNT = "record_count";

public static final java.lang.String SLOT_INDEX = "slot_index";

public static final java.lang.String SUBSCRIPTION_ID = "subscription_id";
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class SimRecords {

private SimRecords() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.net.Uri getContentUri(int subscriptionId, int efType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.net.Uri getItemUri(int subscriptionId, int efType, int recordNumber) { throw new RuntimeException("Stub!"); }

public static int getEncodedNameLength(@android.annotation.NonNull android.content.ContentResolver resolver, @android.annotation.NonNull java.lang.String name) { throw new RuntimeException("Stub!"); }

public static final java.lang.String CONTENT_ITEM_TYPE = "vnd.android.cursor.item/sim-contact_v2";

public static final java.lang.String CONTENT_TYPE = "vnd.android.cursor.dir/sim-contact_v2";

public static final java.lang.String ELEMENTARY_FILE_TYPE = "elementary_file_type";

public static final int ERROR_NAME_UNSUPPORTED = -1; // 0xffffffff

public static final java.lang.String NAME = "name";

public static final java.lang.String PHONE_NUMBER = "phone_number";

public static final java.lang.String RECORD_NUMBER = "record_number";

public static final java.lang.String SUBSCRIPTION_ID = "subscription_id";
}

}

