/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.autofill;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class SaveInfo implements android.os.Parcelable {

private SaveInfo() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.service.autofill.SaveInfo> CREATOR;
static { CREATOR = null; }

public static final int FLAG_DELAY_SAVE = 4; // 0x4

public static final int FLAG_DONT_SAVE_ON_FINISH = 2; // 0x2

public static final int FLAG_SAVE_ON_ALL_VIEWS_INVISIBLE = 1; // 0x1

public static final int NEGATIVE_BUTTON_STYLE_CANCEL = 0; // 0x0

public static final int NEGATIVE_BUTTON_STYLE_NEVER = 2; // 0x2

public static final int NEGATIVE_BUTTON_STYLE_REJECT = 1; // 0x1

public static final int POSITIVE_BUTTON_STYLE_CONTINUE = 1; // 0x1

public static final int POSITIVE_BUTTON_STYLE_SAVE = 0; // 0x0

public static final int SAVE_DATA_TYPE_ADDRESS = 2; // 0x2

public static final int SAVE_DATA_TYPE_CREDIT_CARD = 4; // 0x4

public static final int SAVE_DATA_TYPE_DEBIT_CARD = 32; // 0x20

public static final int SAVE_DATA_TYPE_EMAIL_ADDRESS = 16; // 0x10

public static final int SAVE_DATA_TYPE_GENERIC = 0; // 0x0

public static final int SAVE_DATA_TYPE_GENERIC_CARD = 128; // 0x80

public static final int SAVE_DATA_TYPE_PASSWORD = 1; // 0x1

public static final int SAVE_DATA_TYPE_PAYMENT_CARD = 64; // 0x40

public static final int SAVE_DATA_TYPE_USERNAME = 8; // 0x8
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(int type, @android.annotation.NonNull android.view.autofill.AutofillId[] requiredIds) { throw new RuntimeException("Stub!"); }

public Builder(int type) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder setFlags(int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder setOptionalIds(@android.annotation.NonNull android.view.autofill.AutofillId[] ids) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder setDescription(@android.annotation.Nullable java.lang.CharSequence description) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder setCustomDescription(@android.annotation.NonNull android.service.autofill.CustomDescription customDescription) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder setNegativeAction(int style, @android.annotation.Nullable android.content.IntentSender listener) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder setPositiveAction(int style) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder setValidator(@android.annotation.NonNull android.service.autofill.Validator validator) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder addSanitizer(@android.annotation.NonNull android.service.autofill.Sanitizer sanitizer, @android.annotation.NonNull android.view.autofill.AutofillId... ids) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.autofill.SaveInfo.Builder setTriggerId(@android.annotation.NonNull android.view.autofill.AutofillId id) { throw new RuntimeException("Stub!"); }

public android.service.autofill.SaveInfo build() { throw new RuntimeException("Stub!"); }
}

}

