/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.controls;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class Control implements android.os.Parcelable {

Control() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getControlId() { throw new RuntimeException("Stub!"); }

public int getDeviceType() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.CharSequence getTitle() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.CharSequence getSubtitle() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getStructure() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getZone() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.PendingIntent getAppIntent() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.drawable.Icon getCustomIcon() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.res.ColorStateList getCustomColor() { throw new RuntimeException("Stub!"); }

public int getStatus() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.templates.ControlTemplate getControlTemplate() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.CharSequence getStatusText() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.service.controls.Control> CREATOR;
static { CREATOR = null; }

public static final int STATUS_DISABLED = 4; // 0x4

public static final int STATUS_ERROR = 3; // 0x3

public static final int STATUS_NOT_FOUND = 2; // 0x2

public static final int STATUS_OK = 1; // 0x1

public static final int STATUS_UNKNOWN = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class StatefulBuilder {

public StatefulBuilder(@android.annotation.NonNull java.lang.String controlId, @android.annotation.NonNull android.app.PendingIntent appIntent) { throw new RuntimeException("Stub!"); }

public StatefulBuilder(@android.annotation.NonNull android.service.controls.Control control) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setControlId(@android.annotation.NonNull java.lang.String controlId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setDeviceType(int deviceType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setTitle(@android.annotation.NonNull java.lang.CharSequence title) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setSubtitle(@android.annotation.NonNull java.lang.CharSequence subtitle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setStructure(@android.annotation.Nullable java.lang.CharSequence structure) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setZone(@android.annotation.Nullable java.lang.CharSequence zone) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setAppIntent(@android.annotation.NonNull android.app.PendingIntent appIntent) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setCustomIcon(@android.annotation.Nullable android.graphics.drawable.Icon customIcon) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setCustomColor(@android.annotation.Nullable android.content.res.ColorStateList customColor) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setStatus(int status) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setControlTemplate(@android.annotation.NonNull android.service.controls.templates.ControlTemplate controlTemplate) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatefulBuilder setStatusText(@android.annotation.NonNull java.lang.CharSequence statusText) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control build() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class StatelessBuilder {

public StatelessBuilder(@android.annotation.NonNull java.lang.String controlId, @android.annotation.NonNull android.app.PendingIntent appIntent) { throw new RuntimeException("Stub!"); }

public StatelessBuilder(@android.annotation.NonNull android.service.controls.Control control) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setControlId(@android.annotation.NonNull java.lang.String controlId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setDeviceType(int deviceType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setTitle(@android.annotation.NonNull java.lang.CharSequence title) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setSubtitle(@android.annotation.NonNull java.lang.CharSequence subtitle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setStructure(@android.annotation.Nullable java.lang.CharSequence structure) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setZone(@android.annotation.Nullable java.lang.CharSequence zone) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setAppIntent(@android.annotation.NonNull android.app.PendingIntent appIntent) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setCustomIcon(@android.annotation.Nullable android.graphics.drawable.Icon customIcon) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control.StatelessBuilder setCustomColor(@android.annotation.Nullable android.content.res.ColorStateList customColor) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.controls.Control build() { throw new RuntimeException("Stub!"); }
}

}

