/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.notification;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ZenPolicy implements android.os.Parcelable {

ZenPolicy() { throw new RuntimeException("Stub!"); }

public int getPriorityConversationSenders() { throw new RuntimeException("Stub!"); }

public int getPriorityMessageSenders() { throw new RuntimeException("Stub!"); }

public int getPriorityCallSenders() { throw new RuntimeException("Stub!"); }

public int getPriorityCategoryConversations() { throw new RuntimeException("Stub!"); }

public int getPriorityCategoryReminders() { throw new RuntimeException("Stub!"); }

public int getPriorityCategoryEvents() { throw new RuntimeException("Stub!"); }

public int getPriorityCategoryMessages() { throw new RuntimeException("Stub!"); }

public int getPriorityCategoryCalls() { throw new RuntimeException("Stub!"); }

public int getPriorityCategoryRepeatCallers() { throw new RuntimeException("Stub!"); }

public int getPriorityCategoryAlarms() { throw new RuntimeException("Stub!"); }

public int getPriorityCategoryMedia() { throw new RuntimeException("Stub!"); }

public int getPriorityCategorySystem() { throw new RuntimeException("Stub!"); }

public int getVisualEffectFullScreenIntent() { throw new RuntimeException("Stub!"); }

public int getVisualEffectLights() { throw new RuntimeException("Stub!"); }

public int getVisualEffectPeek() { throw new RuntimeException("Stub!"); }

public int getVisualEffectStatusBar() { throw new RuntimeException("Stub!"); }

public int getVisualEffectBadge() { throw new RuntimeException("Stub!"); }

public int getVisualEffectAmbient() { throw new RuntimeException("Stub!"); }

public int getVisualEffectNotificationList() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public static final int CONVERSATION_SENDERS_ANYONE = 1; // 0x1

public static final int CONVERSATION_SENDERS_IMPORTANT = 2; // 0x2

public static final int CONVERSATION_SENDERS_NONE = 3; // 0x3

public static final int CONVERSATION_SENDERS_UNSET = 0; // 0x0

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.service.notification.ZenPolicy> CREATOR;
static { CREATOR = null; }

public static final int PEOPLE_TYPE_ANYONE = 1; // 0x1

public static final int PEOPLE_TYPE_CONTACTS = 2; // 0x2

public static final int PEOPLE_TYPE_NONE = 4; // 0x4

public static final int PEOPLE_TYPE_STARRED = 3; // 0x3

public static final int PEOPLE_TYPE_UNSET = 0; // 0x0

public static final int STATE_ALLOW = 1; // 0x1

public static final int STATE_DISALLOW = 2; // 0x2

public static final int STATE_UNSET = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowAllSounds() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder disallowAllSounds() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder showAllVisualEffects() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder hideAllVisualEffects() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowReminders(boolean allow) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowEvents(boolean allow) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowConversations(int audienceType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowMessages(int audienceType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowCalls(int audienceType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowRepeatCallers(boolean allow) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowAlarms(boolean allow) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowMedia(boolean allow) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder allowSystem(boolean allow) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder showFullScreenIntent(boolean show) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder showLights(boolean show) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder showPeeking(boolean show) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder showStatusBarIcons(boolean show) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder showBadges(boolean show) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder showInAmbientDisplay(boolean show) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.notification.ZenPolicy.Builder showInNotificationList(boolean show) { throw new RuntimeException("Stub!"); }
}

}

