/*
 * Copyright (C) 2011 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package android.speech.tts;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface SynthesisCallback {

public int getMaxBufferSize();

public int start(int sampleRateInHz, int audioFormat, int channelCount);

public int audioAvailable(byte[] buffer, int offset, int length);

public int done();

public void error();

public void error(int errorCode);

public boolean hasStarted();

public boolean hasFinished();

public default void rangeStart(int markerInFrames, int start, int end) { throw new RuntimeException("Stub!"); }
}

