/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telephony;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class PhysicalChannelConfig implements android.os.Parcelable {

private PhysicalChannelConfig() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int getCellBandwidthDownlinkKhz() { throw new RuntimeException("Stub!"); }

public int getCellBandwidthUplinkKhz() { throw new RuntimeException("Stub!"); }

public int getDownlinkChannelNumber() { throw new RuntimeException("Stub!"); }

public int getUplinkChannelNumber() { throw new RuntimeException("Stub!"); }

public int getBand() { throw new RuntimeException("Stub!"); }

public int getDownlinkFrequencyKhz() { throw new RuntimeException("Stub!"); }

public int getUplinkFrequencyKhz() { throw new RuntimeException("Stub!"); }

public int getPhysicalCellId() { throw new RuntimeException("Stub!"); }

public int getNetworkType() { throw new RuntimeException("Stub!"); }

public int getConnectionStatus() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static final int BAND_UNKNOWN = 0; // 0x0

public static final int CELL_BANDWIDTH_UNKNOWN = 0; // 0x0

public static final int CHANNEL_NUMBER_UNKNOWN = 2147483647; // 0x7fffffff

public static final int CONNECTION_PRIMARY_SERVING = 1; // 0x1

public static final int CONNECTION_SECONDARY_SERVING = 2; // 0x2

public static final int CONNECTION_UNKNOWN = -1; // 0xffffffff

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.telephony.PhysicalChannelConfig> CREATOR;
static { CREATOR = null; }

public static final int FREQUENCY_UNKNOWN = -1; // 0xffffffff

public static final int PHYSICAL_CELL_ID_MAXIMUM_VALUE = 1007; // 0x3ef

public static final int PHYSICAL_CELL_ID_UNKNOWN = -1; // 0xffffffff
}

