/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telephony.emergency;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class EmergencyNumber implements android.os.Parcelable, java.lang.Comparable<android.telephony.emergency.EmergencyNumber> {

EmergencyNumber() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getNumber() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getCountryIso() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getMnc() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.Integer> getEmergencyServiceCategories() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getEmergencyUrns() { throw new RuntimeException("Stub!"); }

public boolean isInEmergencyServiceCategories(int categories) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.Integer> getEmergencyNumberSources() { throw new RuntimeException("Stub!"); }

public boolean isFromSources(int sources) { throw new RuntimeException("Stub!"); }

public int getEmergencyCallRouting() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public int compareTo(@android.annotation.NonNull android.telephony.emergency.EmergencyNumber emergencyNumber) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.telephony.emergency.EmergencyNumber> CREATOR;
static { CREATOR = null; }

public static final int EMERGENCY_CALL_ROUTING_EMERGENCY = 1; // 0x1

public static final int EMERGENCY_CALL_ROUTING_NORMAL = 2; // 0x2

public static final int EMERGENCY_CALL_ROUTING_UNKNOWN = 0; // 0x0

public static final int EMERGENCY_NUMBER_SOURCE_DATABASE = 16; // 0x10

public static final int EMERGENCY_NUMBER_SOURCE_DEFAULT = 8; // 0x8

public static final int EMERGENCY_NUMBER_SOURCE_MODEM_CONFIG = 4; // 0x4

public static final int EMERGENCY_NUMBER_SOURCE_NETWORK_SIGNALING = 1; // 0x1

public static final int EMERGENCY_NUMBER_SOURCE_SIM = 2; // 0x2

public static final int EMERGENCY_SERVICE_CATEGORY_AIEC = 64; // 0x40

public static final int EMERGENCY_SERVICE_CATEGORY_AMBULANCE = 2; // 0x2

public static final int EMERGENCY_SERVICE_CATEGORY_FIRE_BRIGADE = 4; // 0x4

public static final int EMERGENCY_SERVICE_CATEGORY_MARINE_GUARD = 8; // 0x8

public static final int EMERGENCY_SERVICE_CATEGORY_MIEC = 32; // 0x20

public static final int EMERGENCY_SERVICE_CATEGORY_MOUNTAIN_RESCUE = 16; // 0x10

public static final int EMERGENCY_SERVICE_CATEGORY_POLICE = 1; // 0x1

public static final int EMERGENCY_SERVICE_CATEGORY_UNSPECIFIED = 0; // 0x0
}

