/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */


package android.telephony.ims;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ImsReasonInfo implements android.os.Parcelable {

public ImsReasonInfo(int code, int extraCode, @android.annotation.Nullable java.lang.String extraMessage) { throw new RuntimeException("Stub!"); }

public int getCode() { throw new RuntimeException("Stub!"); }

public int getExtraCode() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getExtraMessage() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel out, int flags) { throw new RuntimeException("Stub!"); }

public static final int CODE_ACCESS_CLASS_BLOCKED = 1512; // 0x5e8

public static final int CODE_ANSWERED_ELSEWHERE = 1014; // 0x3f6

public static final int CODE_BLACKLISTED_CALL_ID = 506; // 0x1fa

public static final int CODE_CALL_BARRED = 240; // 0xf0

public static final int CODE_CALL_DROP_IWLAN_TO_LTE_UNAVAILABLE = 1100; // 0x44c

public static final int CODE_CALL_END_CAUSE_CALL_PULL = 1016; // 0x3f8

public static final int CODE_CALL_PULL_OUT_OF_SYNC = 1015; // 0x3f7

public static final int CODE_DATA_DISABLED = 1406; // 0x57e

public static final int CODE_DATA_LIMIT_REACHED = 1405; // 0x57d

public static final int CODE_DIAL_MODIFIED_TO_DIAL = 246; // 0xf6

public static final int CODE_DIAL_MODIFIED_TO_DIAL_VIDEO = 247; // 0xf7

public static final int CODE_DIAL_MODIFIED_TO_SS = 245; // 0xf5

public static final int CODE_DIAL_MODIFIED_TO_USSD = 244; // 0xf4

public static final int CODE_DIAL_VIDEO_MODIFIED_TO_DIAL = 248; // 0xf8

public static final int CODE_DIAL_VIDEO_MODIFIED_TO_DIAL_VIDEO = 249; // 0xf9

public static final int CODE_DIAL_VIDEO_MODIFIED_TO_SS = 250; // 0xfa

public static final int CODE_DIAL_VIDEO_MODIFIED_TO_USSD = 251; // 0xfb

public static final int CODE_ECBM_NOT_SUPPORTED = 901; // 0x385

public static final int CODE_EMERGENCY_PERM_FAILURE = 364; // 0x16c

public static final int CODE_EMERGENCY_TEMP_FAILURE = 363; // 0x16b

public static final int CODE_EPDG_TUNNEL_ESTABLISH_FAILURE = 1400; // 0x578

public static final int CODE_EPDG_TUNNEL_LOST_CONNECTION = 1402; // 0x57a

public static final int CODE_EPDG_TUNNEL_REKEY_FAILURE = 1401; // 0x579

public static final int CODE_FDN_BLOCKED = 241; // 0xf1

public static final int CODE_IKEV2_AUTH_FAILURE = 1408; // 0x580

public static final int CODE_IMEI_NOT_ACCEPTED = 243; // 0xf3

public static final int CODE_IWLAN_DPD_FAILURE = 1300; // 0x514

public static final int CODE_LOCAL_CALL_BUSY = 142; // 0x8e

public static final int CODE_LOCAL_CALL_CS_RETRY_REQUIRED = 146; // 0x92

public static final int CODE_LOCAL_CALL_DECLINE = 143; // 0x8f

public static final int CODE_LOCAL_CALL_EXCEEDED = 141; // 0x8d

public static final int CODE_LOCAL_CALL_RESOURCE_RESERVATION_FAILED = 145; // 0x91

public static final int CODE_LOCAL_CALL_TERMINATED = 148; // 0x94

public static final int CODE_LOCAL_CALL_VCC_ON_PROGRESSING = 144; // 0x90

public static final int CODE_LOCAL_CALL_VOLTE_RETRY_REQUIRED = 147; // 0x93

public static final int CODE_LOCAL_ENDED_BY_CONFERENCE_MERGE = 108; // 0x6c

public static final int CODE_LOCAL_HO_NOT_FEASIBLE = 149; // 0x95

public static final int CODE_LOCAL_ILLEGAL_ARGUMENT = 101; // 0x65

public static final int CODE_LOCAL_ILLEGAL_STATE = 102; // 0x66

public static final int CODE_LOCAL_IMS_SERVICE_DOWN = 106; // 0x6a

public static final int CODE_LOCAL_INTERNAL_ERROR = 103; // 0x67

public static final int CODE_LOCAL_LOW_BATTERY = 112; // 0x70

public static final int CODE_LOCAL_NETWORK_IP_CHANGED = 124; // 0x7c

public static final int CODE_LOCAL_NETWORK_NO_LTE_COVERAGE = 122; // 0x7a

public static final int CODE_LOCAL_NETWORK_NO_SERVICE = 121; // 0x79

public static final int CODE_LOCAL_NETWORK_ROAMING = 123; // 0x7b

public static final int CODE_LOCAL_NOT_REGISTERED = 132; // 0x84

public static final int CODE_LOCAL_NO_PENDING_CALL = 107; // 0x6b

public static final int CODE_LOCAL_POWER_OFF = 111; // 0x6f

public static final int CODE_LOCAL_SERVICE_UNAVAILABLE = 131; // 0x83

public static final int CODE_LOW_BATTERY = 505; // 0x1f9

public static final int CODE_MAXIMUM_NUMBER_OF_CALLS_REACHED = 1403; // 0x57b

public static final int CODE_MEDIA_INIT_FAILED = 401; // 0x191

public static final int CODE_MEDIA_NOT_ACCEPTABLE = 403; // 0x193

public static final int CODE_MEDIA_NO_DATA = 402; // 0x192

public static final int CODE_MEDIA_UNSPECIFIED = 404; // 0x194

public static final int CODE_MULTIENDPOINT_NOT_SUPPORTED = 902; // 0x386

public static final int CODE_NETWORK_CONGESTION = 1624; // 0x658

public static final int CODE_NETWORK_DETACH = 1513; // 0x5e9

public static final int CODE_NETWORK_REJECT = 1504; // 0x5e0

public static final int CODE_NETWORK_RESP_TIMEOUT = 1503; // 0x5df

public static final int CODE_NO_CSFB_IN_CS_ROAM = 1516; // 0x5ec

public static final int CODE_NO_VALID_SIM = 1501; // 0x5dd

public static final int CODE_OEM_CAUSE_1 = 61441; // 0xf001

public static final int CODE_OEM_CAUSE_10 = 61450; // 0xf00a

public static final int CODE_OEM_CAUSE_11 = 61451; // 0xf00b

public static final int CODE_OEM_CAUSE_12 = 61452; // 0xf00c

public static final int CODE_OEM_CAUSE_13 = 61453; // 0xf00d

public static final int CODE_OEM_CAUSE_14 = 61454; // 0xf00e

public static final int CODE_OEM_CAUSE_15 = 61455; // 0xf00f

public static final int CODE_OEM_CAUSE_2 = 61442; // 0xf002

public static final int CODE_OEM_CAUSE_3 = 61443; // 0xf003

public static final int CODE_OEM_CAUSE_4 = 61444; // 0xf004

public static final int CODE_OEM_CAUSE_5 = 61445; // 0xf005

public static final int CODE_OEM_CAUSE_6 = 61446; // 0xf006

public static final int CODE_OEM_CAUSE_7 = 61447; // 0xf007

public static final int CODE_OEM_CAUSE_8 = 61448; // 0xf008

public static final int CODE_OEM_CAUSE_9 = 61449; // 0xf009

public static final int CODE_RADIO_ACCESS_FAILURE = 1505; // 0x5e1

public static final int CODE_RADIO_INTERNAL_ERROR = 1502; // 0x5de

public static final int CODE_RADIO_LINK_FAILURE = 1506; // 0x5e2

public static final int CODE_RADIO_LINK_LOST = 1507; // 0x5e3

public static final int CODE_RADIO_OFF = 1500; // 0x5dc

public static final int CODE_RADIO_RELEASE_ABNORMAL = 1511; // 0x5e7

public static final int CODE_RADIO_RELEASE_NORMAL = 1510; // 0x5e6

public static final int CODE_RADIO_SETUP_FAILURE = 1509; // 0x5e5

public static final int CODE_RADIO_UPLINK_FAILURE = 1508; // 0x5e4

public static final int CODE_REGISTRATION_ERROR = 1000; // 0x3e8

public static final int CODE_REJECTED_ELSEWHERE = 1017; // 0x3f9

public static final int CODE_REJECT_1X_COLLISION = 1603; // 0x643

public static final int CODE_REJECT_CALL_ON_OTHER_SUB = 1602; // 0x642

public static final int CODE_REJECT_CALL_TYPE_NOT_ALLOWED = 1605; // 0x645

public static final int CODE_REJECT_CONFERENCE_TTY_NOT_ALLOWED = 1617; // 0x651

public static final int CODE_REJECT_INTERNAL_ERROR = 1612; // 0x64c

public static final int CODE_REJECT_MAX_CALL_LIMIT_REACHED = 1608; // 0x648

public static final int CODE_REJECT_ONGOING_CALL_SETUP = 1607; // 0x647

public static final int CODE_REJECT_ONGOING_CALL_TRANSFER = 1611; // 0x64b

public static final int CODE_REJECT_ONGOING_CALL_UPGRADE = 1616; // 0x650

public static final int CODE_REJECT_ONGOING_CALL_WAITING_DISABLED = 1601; // 0x641

public static final int CODE_REJECT_ONGOING_CONFERENCE_CALL = 1618; // 0x652

public static final int CODE_REJECT_ONGOING_CS_CALL = 1621; // 0x655

public static final int CODE_REJECT_ONGOING_E911_CALL = 1606; // 0x646

public static final int CODE_REJECT_ONGOING_ENCRYPTED_CALL = 1620; // 0x654

public static final int CODE_REJECT_ONGOING_HANDOVER = 1614; // 0x64e

public static final int CODE_REJECT_QOS_FAILURE = 1613; // 0x64d

public static final int CODE_REJECT_SERVICE_NOT_REGISTERED = 1604; // 0x644

public static final int CODE_REJECT_UNKNOWN = 1600; // 0x640

public static final int CODE_REJECT_UNSUPPORTED_SDP_HEADERS = 1610; // 0x64a

public static final int CODE_REJECT_UNSUPPORTED_SIP_HEADERS = 1609; // 0x649

public static final int CODE_REJECT_VT_AVPF_NOT_ALLOWED = 1619; // 0x653

public static final int CODE_REJECT_VT_TTY_NOT_ALLOWED = 1615; // 0x64f

public static final int CODE_REMOTE_CALL_DECLINE = 1404; // 0x57c

public static final int CODE_SESSION_MODIFICATION_FAILED = 1517; // 0x5ed

public static final int CODE_SIP_ALTERNATE_EMERGENCY_CALL = 1514; // 0x5ea

public static final int CODE_SIP_AMBIGUOUS = 376; // 0x178

public static final int CODE_SIP_BAD_ADDRESS = 337; // 0x151

public static final int CODE_SIP_BAD_REQUEST = 331; // 0x14b

public static final int CODE_SIP_BUSY = 338; // 0x152

public static final int CODE_SIP_CALL_OR_TRANS_DOES_NOT_EXIST = 372; // 0x174

public static final int CODE_SIP_CLIENT_ERROR = 342; // 0x156

public static final int CODE_SIP_EXTENSION_REQUIRED = 370; // 0x172

public static final int CODE_SIP_FORBIDDEN = 332; // 0x14c

public static final int CODE_SIP_GLOBAL_ERROR = 362; // 0x16a

public static final int CODE_SIP_INTERVAL_TOO_BRIEF = 371; // 0x173

public static final int CODE_SIP_LOOP_DETECTED = 373; // 0x175

public static final int CODE_SIP_METHOD_NOT_ALLOWED = 366; // 0x16e

public static final int CODE_SIP_NOT_ACCEPTABLE = 340; // 0x154

public static final int CODE_SIP_NOT_FOUND = 333; // 0x14d

public static final int CODE_SIP_NOT_REACHABLE = 341; // 0x155

public static final int CODE_SIP_NOT_SUPPORTED = 334; // 0x14e

public static final int CODE_SIP_PROXY_AUTHENTICATION_REQUIRED = 367; // 0x16f

public static final int CODE_SIP_REDIRECTED = 321; // 0x141

public static final int CODE_SIP_REQUEST_CANCELLED = 339; // 0x153

public static final int CODE_SIP_REQUEST_ENTITY_TOO_LARGE = 368; // 0x170

public static final int CODE_SIP_REQUEST_PENDING = 377; // 0x179

public static final int CODE_SIP_REQUEST_TIMEOUT = 335; // 0x14f

public static final int CODE_SIP_REQUEST_URI_TOO_LARGE = 369; // 0x171

public static final int CODE_SIP_SERVER_ERROR = 354; // 0x162

public static final int CODE_SIP_SERVER_INTERNAL_ERROR = 351; // 0x15f

public static final int CODE_SIP_SERVER_TIMEOUT = 353; // 0x161

public static final int CODE_SIP_SERVICE_UNAVAILABLE = 352; // 0x160

public static final int CODE_SIP_TEMPRARILY_UNAVAILABLE = 336; // 0x150

public static final int CODE_SIP_TOO_MANY_HOPS = 374; // 0x176

public static final int CODE_SIP_TRANSACTION_DOES_NOT_EXIST = 343; // 0x157

public static final int CODE_SIP_UNDECIPHERABLE = 378; // 0x17a

public static final int CODE_SIP_USER_MARKED_UNWANTED = 365; // 0x16d

public static final int CODE_SIP_USER_REJECTED = 361; // 0x169

public static final int CODE_SUPP_SVC_CANCELLED = 1202; // 0x4b2

public static final int CODE_SUPP_SVC_FAILED = 1201; // 0x4b1

public static final int CODE_SUPP_SVC_REINVITE_COLLISION = 1203; // 0x4b3

public static final int CODE_TIMEOUT_1XX_WAITING = 201; // 0xc9

public static final int CODE_TIMEOUT_NO_ANSWER = 202; // 0xca

public static final int CODE_TIMEOUT_NO_ANSWER_CALL_UPDATE = 203; // 0xcb

public static final int CODE_UNSPECIFIED = 0; // 0x0

public static final int CODE_USER_CANCELLED_SESSION_MODIFICATION = 512; // 0x200

public static final int CODE_USER_DECLINE = 504; // 0x1f8

public static final int CODE_USER_IGNORE = 503; // 0x1f7

public static final int CODE_USER_NOANSWER = 502; // 0x1f6

public static final int CODE_USER_REJECTED_SESSION_MODIFICATION = 511; // 0x1ff

public static final int CODE_USER_TERMINATED = 501; // 0x1f5

public static final int CODE_USER_TERMINATED_BY_REMOTE = 510; // 0x1fe

public static final int CODE_UT_CB_PASSWORD_MISMATCH = 821; // 0x335

public static final int CODE_UT_NETWORK_ERROR = 804; // 0x324

public static final int CODE_UT_NOT_SUPPORTED = 801; // 0x321

public static final int CODE_UT_OPERATION_NOT_ALLOWED = 803; // 0x323

public static final int CODE_UT_SERVICE_UNAVAILABLE = 802; // 0x322

public static final int CODE_UT_SS_MODIFIED_TO_DIAL = 822; // 0x336

public static final int CODE_UT_SS_MODIFIED_TO_DIAL_VIDEO = 825; // 0x339

public static final int CODE_UT_SS_MODIFIED_TO_SS = 824; // 0x338

public static final int CODE_UT_SS_MODIFIED_TO_USSD = 823; // 0x337

public static final int CODE_WIFI_LOST = 1407; // 0x57f

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.telephony.ims.ImsReasonInfo> CREATOR;
static { CREATOR = null; }

public static final int EXTRA_CODE_CALL_RETRY_BY_SETTINGS = 3; // 0x3

public static final int EXTRA_CODE_CALL_RETRY_EMERGENCY = 4; // 0x4

public static final int EXTRA_CODE_CALL_RETRY_NORMAL = 1; // 0x1

public static final int EXTRA_CODE_CALL_RETRY_SILENT_REDIAL = 2; // 0x2
}

