/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */


package android.telephony.mbms;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class MbmsErrors {

private MbmsErrors() { throw new RuntimeException("Stub!"); }

public static final int ERROR_MIDDLEWARE_LOST = 3; // 0x3

public static final int ERROR_MIDDLEWARE_NOT_BOUND = 2; // 0x2

public static final int ERROR_NO_UNIQUE_MIDDLEWARE = 1; // 0x1

public static final int SUCCESS = 0; // 0x0

public static final int UNKNOWN = -1; // 0xffffffff
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class DownloadErrors {

private DownloadErrors() { throw new RuntimeException("Stub!"); }

public static final int ERROR_CANNOT_CHANGE_TEMP_FILE_ROOT = 401; // 0x191

public static final int ERROR_MALFORMED_SERVICE_ANNOUNCEMENT = 404; // 0x194

public static final int ERROR_UNKNOWN_DOWNLOAD_REQUEST = 402; // 0x192

public static final int ERROR_UNKNOWN_FILE_INFO = 403; // 0x193
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class GeneralErrors {

private GeneralErrors() { throw new RuntimeException("Stub!"); }

public static final int ERROR_CARRIER_CHANGE_NOT_ALLOWED = 207; // 0xcf

public static final int ERROR_IN_E911 = 204; // 0xcc

public static final int ERROR_MIDDLEWARE_NOT_YET_READY = 201; // 0xc9

public static final int ERROR_MIDDLEWARE_TEMPORARILY_UNAVAILABLE = 203; // 0xcb

public static final int ERROR_NOT_CONNECTED_TO_HOME_CARRIER_LTE = 205; // 0xcd

public static final int ERROR_OUT_OF_MEMORY = 202; // 0xca

public static final int ERROR_UNABLE_TO_READ_SIM = 206; // 0xce
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class GroupCallErrors {

private GroupCallErrors() { throw new RuntimeException("Stub!"); }

public static final int ERROR_DUPLICATE_START_GROUP_CALL = 502; // 0x1f6

public static final int ERROR_UNABLE_TO_START_SERVICE = 501; // 0x1f5
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class InitializationErrors {

private InitializationErrors() { throw new RuntimeException("Stub!"); }

public static final int ERROR_APP_PERMISSIONS_NOT_GRANTED = 102; // 0x66

public static final int ERROR_DUPLICATE_INITIALIZE = 101; // 0x65

public static final int ERROR_UNABLE_TO_INITIALIZE = 103; // 0x67
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class StreamingErrors {

private StreamingErrors() { throw new RuntimeException("Stub!"); }

public static final int ERROR_CONCURRENT_SERVICE_LIMIT_REACHED = 301; // 0x12d

public static final int ERROR_DUPLICATE_START_STREAM = 303; // 0x12f

public static final int ERROR_UNABLE_TO_START_SERVICE = 302; // 0x12e
}

}

