/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class KeyEvent extends android.view.InputEvent implements android.os.Parcelable {

public KeyEvent(int action, int code) { throw new RuntimeException("Stub!"); }

public KeyEvent(long downTime, long eventTime, int action, int code, int repeat) { throw new RuntimeException("Stub!"); }

public KeyEvent(long downTime, long eventTime, int action, int code, int repeat, int metaState) { throw new RuntimeException("Stub!"); }

public KeyEvent(long downTime, long eventTime, int action, int code, int repeat, int metaState, int deviceId, int scancode) { throw new RuntimeException("Stub!"); }

public KeyEvent(long downTime, long eventTime, int action, int code, int repeat, int metaState, int deviceId, int scancode, int flags) { throw new RuntimeException("Stub!"); }

public KeyEvent(long downTime, long eventTime, int action, int code, int repeat, int metaState, int deviceId, int scancode, int flags, int source) { throw new RuntimeException("Stub!"); }

public KeyEvent(long time, java.lang.String characters, int deviceId, int flags) { throw new RuntimeException("Stub!"); }

public KeyEvent(android.view.KeyEvent origEvent) { throw new RuntimeException("Stub!"); }

@Deprecated
public KeyEvent(android.view.KeyEvent origEvent, long eventTime, int newRepeat) { throw new RuntimeException("Stub!"); }

public static int getMaxKeyCode() { throw new RuntimeException("Stub!"); }

public static int getDeadChar(int accent, int c) { throw new RuntimeException("Stub!"); }

public static android.view.KeyEvent changeTimeRepeat(android.view.KeyEvent event, long eventTime, int newRepeat) { throw new RuntimeException("Stub!"); }

public static android.view.KeyEvent changeTimeRepeat(android.view.KeyEvent event, long eventTime, int newRepeat, int newFlags) { throw new RuntimeException("Stub!"); }

public static android.view.KeyEvent changeAction(android.view.KeyEvent event, int action) { throw new RuntimeException("Stub!"); }

public static android.view.KeyEvent changeFlags(android.view.KeyEvent event, int flags) { throw new RuntimeException("Stub!"); }

public final boolean isSystem() { throw new RuntimeException("Stub!"); }

public static final boolean isGamepadButton(int keyCode) { throw new RuntimeException("Stub!"); }

public static final boolean isMediaSessionKey(int keyCode) { throw new RuntimeException("Stub!"); }

public final int getDeviceId() { throw new RuntimeException("Stub!"); }

public final int getSource() { throw new RuntimeException("Stub!"); }

public final void setSource(int source) { throw new RuntimeException("Stub!"); }

public final int getMetaState() { throw new RuntimeException("Stub!"); }

public final int getModifiers() { throw new RuntimeException("Stub!"); }

public final int getFlags() { throw new RuntimeException("Stub!"); }

public static int getModifierMetaStateMask() { throw new RuntimeException("Stub!"); }

public static boolean isModifierKey(int keyCode) { throw new RuntimeException("Stub!"); }

public static int normalizeMetaState(int metaState) { throw new RuntimeException("Stub!"); }

public static boolean metaStateHasNoModifiers(int metaState) { throw new RuntimeException("Stub!"); }

public static boolean metaStateHasModifiers(int metaState, int modifiers) { throw new RuntimeException("Stub!"); }

public final boolean hasNoModifiers() { throw new RuntimeException("Stub!"); }

public final boolean hasModifiers(int modifiers) { throw new RuntimeException("Stub!"); }

public final boolean isAltPressed() { throw new RuntimeException("Stub!"); }

public final boolean isShiftPressed() { throw new RuntimeException("Stub!"); }

public final boolean isSymPressed() { throw new RuntimeException("Stub!"); }

public final boolean isCtrlPressed() { throw new RuntimeException("Stub!"); }

public final boolean isMetaPressed() { throw new RuntimeException("Stub!"); }

public final boolean isFunctionPressed() { throw new RuntimeException("Stub!"); }

public final boolean isCapsLockOn() { throw new RuntimeException("Stub!"); }

public final boolean isNumLockOn() { throw new RuntimeException("Stub!"); }

public final boolean isScrollLockOn() { throw new RuntimeException("Stub!"); }

public final int getAction() { throw new RuntimeException("Stub!"); }

public final boolean isCanceled() { throw new RuntimeException("Stub!"); }

public final void startTracking() { throw new RuntimeException("Stub!"); }

public final boolean isTracking() { throw new RuntimeException("Stub!"); }

public final boolean isLongPress() { throw new RuntimeException("Stub!"); }

public final int getKeyCode() { throw new RuntimeException("Stub!"); }

@Deprecated
public final java.lang.String getCharacters() { throw new RuntimeException("Stub!"); }

public final int getScanCode() { throw new RuntimeException("Stub!"); }

public final int getRepeatCount() { throw new RuntimeException("Stub!"); }

public final long getDownTime() { throw new RuntimeException("Stub!"); }

public final long getEventTime() { throw new RuntimeException("Stub!"); }

public final android.view.KeyCharacterMap getKeyCharacterMap() { throw new RuntimeException("Stub!"); }

public char getDisplayLabel() { throw new RuntimeException("Stub!"); }

public int getUnicodeChar() { throw new RuntimeException("Stub!"); }

public int getUnicodeChar(int metaState) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean getKeyData(android.view.KeyCharacterMap.KeyData results) { throw new RuntimeException("Stub!"); }

public char getMatch(char[] chars) { throw new RuntimeException("Stub!"); }

public char getMatch(char[] chars, int metaState) { throw new RuntimeException("Stub!"); }

public char getNumber() { throw new RuntimeException("Stub!"); }

public boolean isPrintingKey() { throw new RuntimeException("Stub!"); }

@Deprecated
public final boolean dispatch(android.view.KeyEvent.Callback receiver) { throw new RuntimeException("Stub!"); }

public final boolean dispatch(android.view.KeyEvent.Callback receiver, android.view.KeyEvent.DispatcherState state, java.lang.Object target) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static java.lang.String keyCodeToString(int keyCode) { throw new RuntimeException("Stub!"); }

public static int keyCodeFromString(@android.annotation.NonNull java.lang.String symbolicName) { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel out, int flags) { throw new RuntimeException("Stub!"); }

public static final int ACTION_DOWN = 0; // 0x0

@Deprecated public static final int ACTION_MULTIPLE = 2; // 0x2

public static final int ACTION_UP = 1; // 0x1

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.KeyEvent> CREATOR;
static { CREATOR = null; }

public static final int FLAG_CANCELED = 32; // 0x20

public static final int FLAG_CANCELED_LONG_PRESS = 256; // 0x100

public static final int FLAG_EDITOR_ACTION = 16; // 0x10

public static final int FLAG_FALLBACK = 1024; // 0x400

public static final int FLAG_FROM_SYSTEM = 8; // 0x8

public static final int FLAG_KEEP_TOUCH_MODE = 4; // 0x4

public static final int FLAG_LONG_PRESS = 128; // 0x80

public static final int FLAG_SOFT_KEYBOARD = 2; // 0x2

public static final int FLAG_TRACKING = 512; // 0x200

public static final int FLAG_VIRTUAL_HARD_KEY = 64; // 0x40

@Deprecated public static final int FLAG_WOKE_HERE = 1; // 0x1

public static final int KEYCODE_0 = 7; // 0x7

public static final int KEYCODE_1 = 8; // 0x8

public static final int KEYCODE_11 = 227; // 0xe3

public static final int KEYCODE_12 = 228; // 0xe4

public static final int KEYCODE_2 = 9; // 0x9

public static final int KEYCODE_3 = 10; // 0xa

public static final int KEYCODE_3D_MODE = 206; // 0xce

public static final int KEYCODE_4 = 11; // 0xb

public static final int KEYCODE_5 = 12; // 0xc

public static final int KEYCODE_6 = 13; // 0xd

public static final int KEYCODE_7 = 14; // 0xe

public static final int KEYCODE_8 = 15; // 0xf

public static final int KEYCODE_9 = 16; // 0x10

public static final int KEYCODE_A = 29; // 0x1d

public static final int KEYCODE_ALL_APPS = 284; // 0x11c

public static final int KEYCODE_ALT_LEFT = 57; // 0x39

public static final int KEYCODE_ALT_RIGHT = 58; // 0x3a

public static final int KEYCODE_APOSTROPHE = 75; // 0x4b

public static final int KEYCODE_APP_SWITCH = 187; // 0xbb

public static final int KEYCODE_ASSIST = 219; // 0xdb

public static final int KEYCODE_AT = 77; // 0x4d

public static final int KEYCODE_AVR_INPUT = 182; // 0xb6

public static final int KEYCODE_AVR_POWER = 181; // 0xb5

public static final int KEYCODE_B = 30; // 0x1e

public static final int KEYCODE_BACK = 4; // 0x4

public static final int KEYCODE_BACKSLASH = 73; // 0x49

public static final int KEYCODE_BOOKMARK = 174; // 0xae

public static final int KEYCODE_BREAK = 121; // 0x79

public static final int KEYCODE_BRIGHTNESS_DOWN = 220; // 0xdc

public static final int KEYCODE_BRIGHTNESS_UP = 221; // 0xdd

public static final int KEYCODE_BUTTON_1 = 188; // 0xbc

public static final int KEYCODE_BUTTON_10 = 197; // 0xc5

public static final int KEYCODE_BUTTON_11 = 198; // 0xc6

public static final int KEYCODE_BUTTON_12 = 199; // 0xc7

public static final int KEYCODE_BUTTON_13 = 200; // 0xc8

public static final int KEYCODE_BUTTON_14 = 201; // 0xc9

public static final int KEYCODE_BUTTON_15 = 202; // 0xca

public static final int KEYCODE_BUTTON_16 = 203; // 0xcb

public static final int KEYCODE_BUTTON_2 = 189; // 0xbd

public static final int KEYCODE_BUTTON_3 = 190; // 0xbe

public static final int KEYCODE_BUTTON_4 = 191; // 0xbf

public static final int KEYCODE_BUTTON_5 = 192; // 0xc0

public static final int KEYCODE_BUTTON_6 = 193; // 0xc1

public static final int KEYCODE_BUTTON_7 = 194; // 0xc2

public static final int KEYCODE_BUTTON_8 = 195; // 0xc3

public static final int KEYCODE_BUTTON_9 = 196; // 0xc4

public static final int KEYCODE_BUTTON_A = 96; // 0x60

public static final int KEYCODE_BUTTON_B = 97; // 0x61

public static final int KEYCODE_BUTTON_C = 98; // 0x62

public static final int KEYCODE_BUTTON_L1 = 102; // 0x66

public static final int KEYCODE_BUTTON_L2 = 104; // 0x68

public static final int KEYCODE_BUTTON_MODE = 110; // 0x6e

public static final int KEYCODE_BUTTON_R1 = 103; // 0x67

public static final int KEYCODE_BUTTON_R2 = 105; // 0x69

public static final int KEYCODE_BUTTON_SELECT = 109; // 0x6d

public static final int KEYCODE_BUTTON_START = 108; // 0x6c

public static final int KEYCODE_BUTTON_THUMBL = 106; // 0x6a

public static final int KEYCODE_BUTTON_THUMBR = 107; // 0x6b

public static final int KEYCODE_BUTTON_X = 99; // 0x63

public static final int KEYCODE_BUTTON_Y = 100; // 0x64

public static final int KEYCODE_BUTTON_Z = 101; // 0x65

public static final int KEYCODE_C = 31; // 0x1f

public static final int KEYCODE_CALCULATOR = 210; // 0xd2

public static final int KEYCODE_CALENDAR = 208; // 0xd0

public static final int KEYCODE_CALL = 5; // 0x5

public static final int KEYCODE_CAMERA = 27; // 0x1b

public static final int KEYCODE_CAPS_LOCK = 115; // 0x73

public static final int KEYCODE_CAPTIONS = 175; // 0xaf

public static final int KEYCODE_CHANNEL_DOWN = 167; // 0xa7

public static final int KEYCODE_CHANNEL_UP = 166; // 0xa6

public static final int KEYCODE_CLEAR = 28; // 0x1c

public static final int KEYCODE_COMMA = 55; // 0x37

public static final int KEYCODE_CONTACTS = 207; // 0xcf

public static final int KEYCODE_COPY = 278; // 0x116

public static final int KEYCODE_CTRL_LEFT = 113; // 0x71

public static final int KEYCODE_CTRL_RIGHT = 114; // 0x72

public static final int KEYCODE_CUT = 277; // 0x115

public static final int KEYCODE_D = 32; // 0x20

public static final int KEYCODE_DEL = 67; // 0x43

public static final int KEYCODE_DPAD_CENTER = 23; // 0x17

public static final int KEYCODE_DPAD_DOWN = 20; // 0x14

public static final int KEYCODE_DPAD_DOWN_LEFT = 269; // 0x10d

public static final int KEYCODE_DPAD_DOWN_RIGHT = 271; // 0x10f

public static final int KEYCODE_DPAD_LEFT = 21; // 0x15

public static final int KEYCODE_DPAD_RIGHT = 22; // 0x16

public static final int KEYCODE_DPAD_UP = 19; // 0x13

public static final int KEYCODE_DPAD_UP_LEFT = 268; // 0x10c

public static final int KEYCODE_DPAD_UP_RIGHT = 270; // 0x10e

public static final int KEYCODE_DVR = 173; // 0xad

public static final int KEYCODE_E = 33; // 0x21

public static final int KEYCODE_EISU = 212; // 0xd4

public static final int KEYCODE_ENDCALL = 6; // 0x6

public static final int KEYCODE_ENTER = 66; // 0x42

public static final int KEYCODE_ENVELOPE = 65; // 0x41

public static final int KEYCODE_EQUALS = 70; // 0x46

public static final int KEYCODE_ESCAPE = 111; // 0x6f

public static final int KEYCODE_EXPLORER = 64; // 0x40

public static final int KEYCODE_F = 34; // 0x22

public static final int KEYCODE_F1 = 131; // 0x83

public static final int KEYCODE_F10 = 140; // 0x8c

public static final int KEYCODE_F11 = 141; // 0x8d

public static final int KEYCODE_F12 = 142; // 0x8e

public static final int KEYCODE_F2 = 132; // 0x84

public static final int KEYCODE_F3 = 133; // 0x85

public static final int KEYCODE_F4 = 134; // 0x86

public static final int KEYCODE_F5 = 135; // 0x87

public static final int KEYCODE_F6 = 136; // 0x88

public static final int KEYCODE_F7 = 137; // 0x89

public static final int KEYCODE_F8 = 138; // 0x8a

public static final int KEYCODE_F9 = 139; // 0x8b

public static final int KEYCODE_FOCUS = 80; // 0x50

public static final int KEYCODE_FORWARD = 125; // 0x7d

public static final int KEYCODE_FORWARD_DEL = 112; // 0x70

public static final int KEYCODE_FUNCTION = 119; // 0x77

public static final int KEYCODE_G = 35; // 0x23

public static final int KEYCODE_GRAVE = 68; // 0x44

public static final int KEYCODE_GUIDE = 172; // 0xac

public static final int KEYCODE_H = 36; // 0x24

public static final int KEYCODE_HEADSETHOOK = 79; // 0x4f

public static final int KEYCODE_HELP = 259; // 0x103

public static final int KEYCODE_HENKAN = 214; // 0xd6

public static final int KEYCODE_HOME = 3; // 0x3

public static final int KEYCODE_I = 37; // 0x25

public static final int KEYCODE_INFO = 165; // 0xa5

public static final int KEYCODE_INSERT = 124; // 0x7c

public static final int KEYCODE_J = 38; // 0x26

public static final int KEYCODE_K = 39; // 0x27

public static final int KEYCODE_KANA = 218; // 0xda

public static final int KEYCODE_KATAKANA_HIRAGANA = 215; // 0xd7

public static final int KEYCODE_L = 40; // 0x28

public static final int KEYCODE_LANGUAGE_SWITCH = 204; // 0xcc

public static final int KEYCODE_LAST_CHANNEL = 229; // 0xe5

public static final int KEYCODE_LEFT_BRACKET = 71; // 0x47

public static final int KEYCODE_M = 41; // 0x29

public static final int KEYCODE_MANNER_MODE = 205; // 0xcd

public static final int KEYCODE_MEDIA_AUDIO_TRACK = 222; // 0xde

public static final int KEYCODE_MEDIA_CLOSE = 128; // 0x80

public static final int KEYCODE_MEDIA_EJECT = 129; // 0x81

public static final int KEYCODE_MEDIA_FAST_FORWARD = 90; // 0x5a

public static final int KEYCODE_MEDIA_NEXT = 87; // 0x57

public static final int KEYCODE_MEDIA_PAUSE = 127; // 0x7f

public static final int KEYCODE_MEDIA_PLAY = 126; // 0x7e

public static final int KEYCODE_MEDIA_PLAY_PAUSE = 85; // 0x55

public static final int KEYCODE_MEDIA_PREVIOUS = 88; // 0x58

public static final int KEYCODE_MEDIA_RECORD = 130; // 0x82

public static final int KEYCODE_MEDIA_REWIND = 89; // 0x59

public static final int KEYCODE_MEDIA_SKIP_BACKWARD = 273; // 0x111

public static final int KEYCODE_MEDIA_SKIP_FORWARD = 272; // 0x110

public static final int KEYCODE_MEDIA_STEP_BACKWARD = 275; // 0x113

public static final int KEYCODE_MEDIA_STEP_FORWARD = 274; // 0x112

public static final int KEYCODE_MEDIA_STOP = 86; // 0x56

public static final int KEYCODE_MEDIA_TOP_MENU = 226; // 0xe2

public static final int KEYCODE_MENU = 82; // 0x52

public static final int KEYCODE_META_LEFT = 117; // 0x75

public static final int KEYCODE_META_RIGHT = 118; // 0x76

public static final int KEYCODE_MINUS = 69; // 0x45

public static final int KEYCODE_MOVE_END = 123; // 0x7b

public static final int KEYCODE_MOVE_HOME = 122; // 0x7a

public static final int KEYCODE_MUHENKAN = 213; // 0xd5

public static final int KEYCODE_MUSIC = 209; // 0xd1

public static final int KEYCODE_MUTE = 91; // 0x5b

public static final int KEYCODE_N = 42; // 0x2a

public static final int KEYCODE_NAVIGATE_IN = 262; // 0x106

public static final int KEYCODE_NAVIGATE_NEXT = 261; // 0x105

public static final int KEYCODE_NAVIGATE_OUT = 263; // 0x107

public static final int KEYCODE_NAVIGATE_PREVIOUS = 260; // 0x104

public static final int KEYCODE_NOTIFICATION = 83; // 0x53

public static final int KEYCODE_NUM = 78; // 0x4e

public static final int KEYCODE_NUMPAD_0 = 144; // 0x90

public static final int KEYCODE_NUMPAD_1 = 145; // 0x91

public static final int KEYCODE_NUMPAD_2 = 146; // 0x92

public static final int KEYCODE_NUMPAD_3 = 147; // 0x93

public static final int KEYCODE_NUMPAD_4 = 148; // 0x94

public static final int KEYCODE_NUMPAD_5 = 149; // 0x95

public static final int KEYCODE_NUMPAD_6 = 150; // 0x96

public static final int KEYCODE_NUMPAD_7 = 151; // 0x97

public static final int KEYCODE_NUMPAD_8 = 152; // 0x98

public static final int KEYCODE_NUMPAD_9 = 153; // 0x99

public static final int KEYCODE_NUMPAD_ADD = 157; // 0x9d

public static final int KEYCODE_NUMPAD_COMMA = 159; // 0x9f

public static final int KEYCODE_NUMPAD_DIVIDE = 154; // 0x9a

public static final int KEYCODE_NUMPAD_DOT = 158; // 0x9e

public static final int KEYCODE_NUMPAD_ENTER = 160; // 0xa0

public static final int KEYCODE_NUMPAD_EQUALS = 161; // 0xa1

public static final int KEYCODE_NUMPAD_LEFT_PAREN = 162; // 0xa2

public static final int KEYCODE_NUMPAD_MULTIPLY = 155; // 0x9b

public static final int KEYCODE_NUMPAD_RIGHT_PAREN = 163; // 0xa3

public static final int KEYCODE_NUMPAD_SUBTRACT = 156; // 0x9c

public static final int KEYCODE_NUM_LOCK = 143; // 0x8f

public static final int KEYCODE_O = 43; // 0x2b

public static final int KEYCODE_P = 44; // 0x2c

public static final int KEYCODE_PAGE_DOWN = 93; // 0x5d

public static final int KEYCODE_PAGE_UP = 92; // 0x5c

public static final int KEYCODE_PAIRING = 225; // 0xe1

public static final int KEYCODE_PASTE = 279; // 0x117

public static final int KEYCODE_PERIOD = 56; // 0x38

public static final int KEYCODE_PICTSYMBOLS = 94; // 0x5e

public static final int KEYCODE_PLUS = 81; // 0x51

public static final int KEYCODE_POUND = 18; // 0x12

public static final int KEYCODE_POWER = 26; // 0x1a

public static final int KEYCODE_PROFILE_SWITCH = 288; // 0x120

public static final int KEYCODE_PROG_BLUE = 186; // 0xba

public static final int KEYCODE_PROG_GREEN = 184; // 0xb8

public static final int KEYCODE_PROG_RED = 183; // 0xb7

public static final int KEYCODE_PROG_YELLOW = 185; // 0xb9

public static final int KEYCODE_Q = 45; // 0x2d

public static final int KEYCODE_R = 46; // 0x2e

public static final int KEYCODE_REFRESH = 285; // 0x11d

public static final int KEYCODE_RIGHT_BRACKET = 72; // 0x48

public static final int KEYCODE_RO = 217; // 0xd9

public static final int KEYCODE_S = 47; // 0x2f

public static final int KEYCODE_SCROLL_LOCK = 116; // 0x74

public static final int KEYCODE_SEARCH = 84; // 0x54

public static final int KEYCODE_SEMICOLON = 74; // 0x4a

public static final int KEYCODE_SETTINGS = 176; // 0xb0

public static final int KEYCODE_SHIFT_LEFT = 59; // 0x3b

public static final int KEYCODE_SHIFT_RIGHT = 60; // 0x3c

public static final int KEYCODE_SLASH = 76; // 0x4c

public static final int KEYCODE_SLEEP = 223; // 0xdf

public static final int KEYCODE_SOFT_LEFT = 1; // 0x1

public static final int KEYCODE_SOFT_RIGHT = 2; // 0x2

public static final int KEYCODE_SOFT_SLEEP = 276; // 0x114

public static final int KEYCODE_SPACE = 62; // 0x3e

public static final int KEYCODE_STAR = 17; // 0x11

public static final int KEYCODE_STB_INPUT = 180; // 0xb4

public static final int KEYCODE_STB_POWER = 179; // 0xb3

public static final int KEYCODE_STEM_1 = 265; // 0x109

public static final int KEYCODE_STEM_2 = 266; // 0x10a

public static final int KEYCODE_STEM_3 = 267; // 0x10b

public static final int KEYCODE_STEM_PRIMARY = 264; // 0x108

public static final int KEYCODE_SWITCH_CHARSET = 95; // 0x5f

public static final int KEYCODE_SYM = 63; // 0x3f

public static final int KEYCODE_SYSRQ = 120; // 0x78

public static final int KEYCODE_SYSTEM_NAVIGATION_DOWN = 281; // 0x119

public static final int KEYCODE_SYSTEM_NAVIGATION_LEFT = 282; // 0x11a

public static final int KEYCODE_SYSTEM_NAVIGATION_RIGHT = 283; // 0x11b

public static final int KEYCODE_SYSTEM_NAVIGATION_UP = 280; // 0x118

public static final int KEYCODE_T = 48; // 0x30

public static final int KEYCODE_TAB = 61; // 0x3d

public static final int KEYCODE_THUMBS_DOWN = 287; // 0x11f

public static final int KEYCODE_THUMBS_UP = 286; // 0x11e

public static final int KEYCODE_TV = 170; // 0xaa

public static final int KEYCODE_TV_ANTENNA_CABLE = 242; // 0xf2

public static final int KEYCODE_TV_AUDIO_DESCRIPTION = 252; // 0xfc

public static final int KEYCODE_TV_AUDIO_DESCRIPTION_MIX_DOWN = 254; // 0xfe

public static final int KEYCODE_TV_AUDIO_DESCRIPTION_MIX_UP = 253; // 0xfd

public static final int KEYCODE_TV_CONTENTS_MENU = 256; // 0x100

public static final int KEYCODE_TV_DATA_SERVICE = 230; // 0xe6

public static final int KEYCODE_TV_INPUT = 178; // 0xb2

public static final int KEYCODE_TV_INPUT_COMPONENT_1 = 249; // 0xf9

public static final int KEYCODE_TV_INPUT_COMPONENT_2 = 250; // 0xfa

public static final int KEYCODE_TV_INPUT_COMPOSITE_1 = 247; // 0xf7

public static final int KEYCODE_TV_INPUT_COMPOSITE_2 = 248; // 0xf8

public static final int KEYCODE_TV_INPUT_HDMI_1 = 243; // 0xf3

public static final int KEYCODE_TV_INPUT_HDMI_2 = 244; // 0xf4

public static final int KEYCODE_TV_INPUT_HDMI_3 = 245; // 0xf5

public static final int KEYCODE_TV_INPUT_HDMI_4 = 246; // 0xf6

public static final int KEYCODE_TV_INPUT_VGA_1 = 251; // 0xfb

public static final int KEYCODE_TV_MEDIA_CONTEXT_MENU = 257; // 0x101

public static final int KEYCODE_TV_NETWORK = 241; // 0xf1

public static final int KEYCODE_TV_NUMBER_ENTRY = 234; // 0xea

public static final int KEYCODE_TV_POWER = 177; // 0xb1

public static final int KEYCODE_TV_RADIO_SERVICE = 232; // 0xe8

public static final int KEYCODE_TV_SATELLITE = 237; // 0xed

public static final int KEYCODE_TV_SATELLITE_BS = 238; // 0xee

public static final int KEYCODE_TV_SATELLITE_CS = 239; // 0xef

public static final int KEYCODE_TV_SATELLITE_SERVICE = 240; // 0xf0

public static final int KEYCODE_TV_TELETEXT = 233; // 0xe9

public static final int KEYCODE_TV_TERRESTRIAL_ANALOG = 235; // 0xeb

public static final int KEYCODE_TV_TERRESTRIAL_DIGITAL = 236; // 0xec

public static final int KEYCODE_TV_TIMER_PROGRAMMING = 258; // 0x102

public static final int KEYCODE_TV_ZOOM_MODE = 255; // 0xff

public static final int KEYCODE_U = 49; // 0x31

public static final int KEYCODE_UNKNOWN = 0; // 0x0

public static final int KEYCODE_V = 50; // 0x32

public static final int KEYCODE_VOICE_ASSIST = 231; // 0xe7

public static final int KEYCODE_VOLUME_DOWN = 25; // 0x19

public static final int KEYCODE_VOLUME_MUTE = 164; // 0xa4

public static final int KEYCODE_VOLUME_UP = 24; // 0x18

public static final int KEYCODE_W = 51; // 0x33

public static final int KEYCODE_WAKEUP = 224; // 0xe0

public static final int KEYCODE_WINDOW = 171; // 0xab

public static final int KEYCODE_X = 52; // 0x34

public static final int KEYCODE_Y = 53; // 0x35

public static final int KEYCODE_YEN = 216; // 0xd8

public static final int KEYCODE_Z = 54; // 0x36

public static final int KEYCODE_ZENKAKU_HANKAKU = 211; // 0xd3

public static final int KEYCODE_ZOOM_IN = 168; // 0xa8

public static final int KEYCODE_ZOOM_OUT = 169; // 0xa9

@Deprecated public static final int MAX_KEYCODE = 84; // 0x54

public static final int META_ALT_LEFT_ON = 16; // 0x10

public static final int META_ALT_MASK = 50; // 0x32

public static final int META_ALT_ON = 2; // 0x2

public static final int META_ALT_RIGHT_ON = 32; // 0x20

public static final int META_CAPS_LOCK_ON = 1048576; // 0x100000

public static final int META_CTRL_LEFT_ON = 8192; // 0x2000

public static final int META_CTRL_MASK = 28672; // 0x7000

public static final int META_CTRL_ON = 4096; // 0x1000

public static final int META_CTRL_RIGHT_ON = 16384; // 0x4000

public static final int META_FUNCTION_ON = 8; // 0x8

public static final int META_META_LEFT_ON = 131072; // 0x20000

public static final int META_META_MASK = 458752; // 0x70000

public static final int META_META_ON = 65536; // 0x10000

public static final int META_META_RIGHT_ON = 262144; // 0x40000

public static final int META_NUM_LOCK_ON = 2097152; // 0x200000

public static final int META_SCROLL_LOCK_ON = 4194304; // 0x400000

public static final int META_SHIFT_LEFT_ON = 64; // 0x40

public static final int META_SHIFT_MASK = 193; // 0xc1

public static final int META_SHIFT_ON = 1; // 0x1

public static final int META_SHIFT_RIGHT_ON = 128; // 0x80

public static final int META_SYM_ON = 4; // 0x4
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface Callback {

public boolean onKeyDown(int keyCode, android.view.KeyEvent event);

public boolean onKeyLongPress(int keyCode, android.view.KeyEvent event);

public boolean onKeyUp(int keyCode, android.view.KeyEvent event);

public boolean onKeyMultiple(int keyCode, int count, android.view.KeyEvent event);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class DispatcherState {

public DispatcherState() { throw new RuntimeException("Stub!"); }

public void reset() { throw new RuntimeException("Stub!"); }

public void reset(java.lang.Object target) { throw new RuntimeException("Stub!"); }

public void startTracking(android.view.KeyEvent event, java.lang.Object target) { throw new RuntimeException("Stub!"); }

public boolean isTracking(android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public void performedLongPress(android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public void handleUpEvent(android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }
}

}

