/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface ViewParent {

public void requestLayout();

public boolean isLayoutRequested();

public void requestTransparentRegion(android.view.View child);

public default void onDescendantInvalidated(@android.annotation.NonNull android.view.View child, @android.annotation.NonNull android.view.View target) { throw new RuntimeException("Stub!"); }

@Deprecated
public void invalidateChild(android.view.View child, android.graphics.Rect r);

@Deprecated
public android.view.ViewParent invalidateChildInParent(int[] location, android.graphics.Rect r);

public android.view.ViewParent getParent();

public void requestChildFocus(android.view.View child, android.view.View focused);

public void recomputeViewAttributes(android.view.View child);

public void clearChildFocus(android.view.View child);

public boolean getChildVisibleRect(android.view.View child, android.graphics.Rect r, android.graphics.Point offset);

public android.view.View focusSearch(android.view.View v, int direction);

public android.view.View keyboardNavigationClusterSearch(android.view.View currentCluster, int direction);

public void bringChildToFront(android.view.View child);

public void focusableViewAvailable(android.view.View v);

public boolean showContextMenuForChild(android.view.View originalView);

public boolean showContextMenuForChild(android.view.View originalView, float x, float y);

public void createContextMenu(android.view.ContextMenu menu);

public android.view.ActionMode startActionModeForChild(android.view.View originalView, android.view.ActionMode.Callback callback);

public android.view.ActionMode startActionModeForChild(android.view.View originalView, android.view.ActionMode.Callback callback, int type);

public void childDrawableStateChanged(android.view.View child);

public void requestDisallowInterceptTouchEvent(boolean disallowIntercept);

public boolean requestChildRectangleOnScreen(android.view.View child, android.graphics.Rect rectangle, boolean immediate);

public boolean requestSendAccessibilityEvent(android.view.View child, android.view.accessibility.AccessibilityEvent event);

public void childHasTransientStateChanged(android.view.View child, boolean hasTransientState);

public void requestFitSystemWindows();

public android.view.ViewParent getParentForAccessibility();

public void notifySubtreeAccessibilityStateChanged(android.view.View child, @android.annotation.NonNull android.view.View source, int changeType);

public boolean canResolveLayoutDirection();

public boolean isLayoutDirectionResolved();

public int getLayoutDirection();

public boolean canResolveTextDirection();

public boolean isTextDirectionResolved();

public int getTextDirection();

public boolean canResolveTextAlignment();

public boolean isTextAlignmentResolved();

public int getTextAlignment();

public boolean onStartNestedScroll(android.view.View child, android.view.View target, int nestedScrollAxes);

public void onNestedScrollAccepted(android.view.View child, android.view.View target, int nestedScrollAxes);

public void onStopNestedScroll(android.view.View target);

public void onNestedScroll(android.view.View target, int dxConsumed, int dyConsumed, int dxUnconsumed, int dyUnconsumed);

public void onNestedPreScroll(android.view.View target, int dx, int dy, int[] consumed);

public boolean onNestedFling(android.view.View target, float velocityX, float velocityY, boolean consumed);

public boolean onNestedPreFling(android.view.View target, float velocityX, float velocityY);

public boolean onNestedPrePerformAccessibilityAction(android.view.View target, int action, android.os.Bundle arguments);
}

