/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class WindowInsetsAnimation {

public WindowInsetsAnimation(int typeMask, @android.annotation.Nullable android.view.animation.Interpolator interpolator, long durationMillis) { throw new RuntimeException("Stub!"); }

public int getTypeMask() { throw new RuntimeException("Stub!"); }

public float getFraction() { throw new RuntimeException("Stub!"); }

public float getInterpolatedFraction() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.animation.Interpolator getInterpolator() { throw new RuntimeException("Stub!"); }

public long getDurationMillis() { throw new RuntimeException("Stub!"); }

public void setFraction(float fraction) { throw new RuntimeException("Stub!"); }

public float getAlpha() { throw new RuntimeException("Stub!"); }

public void setAlpha(float alpha) { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Bounds {

public Bounds(@android.annotation.NonNull android.graphics.Insets lowerBound, @android.annotation.NonNull android.graphics.Insets upperBound) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Insets getLowerBound() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Insets getUpperBound() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsetsAnimation.Bounds inset(@android.annotation.NonNull android.graphics.Insets insets) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class Callback {

public Callback(int dispatchMode) { throw new RuntimeException("Stub!"); }

public final int getDispatchMode() { throw new RuntimeException("Stub!"); }

public void onPrepare(@android.annotation.NonNull android.view.WindowInsetsAnimation animation) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsetsAnimation.Bounds onStart(@android.annotation.NonNull android.view.WindowInsetsAnimation animation, @android.annotation.NonNull android.view.WindowInsetsAnimation.Bounds bounds) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public abstract android.view.WindowInsets onProgress(@android.annotation.NonNull android.view.WindowInsets insets, @android.annotation.NonNull java.util.List<android.view.WindowInsetsAnimation> runningAnimations);

public void onEnd(@android.annotation.NonNull android.view.WindowInsetsAnimation animation) { throw new RuntimeException("Stub!"); }

public static final int DISPATCH_MODE_CONTINUE_ON_SUBTREE = 1; // 0x1

public static final int DISPATCH_MODE_STOP = 0; // 0x0
}

}

