/*
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view.inputmethod;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class EditorInfo implements android.text.InputType, android.os.Parcelable {

public EditorInfo() { throw new RuntimeException("Stub!"); }

public void setInitialSurroundingText(@android.annotation.NonNull java.lang.CharSequence sourceText) { throw new RuntimeException("Stub!"); }

public void setInitialSurroundingSubText(@android.annotation.NonNull java.lang.CharSequence subText, int subTextStart) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getInitialTextBeforeCursor(int length, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getInitialSelectedText(int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getInitialTextAfterCursor(int length, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.inputmethod.SurroundingText getInitialSurroundingText(int beforeLength, int afterLength, int flags) { throw new RuntimeException("Stub!"); }

public final void makeCompatible(int targetSdkVersion) { throw new RuntimeException("Stub!"); }

public void dump(android.util.Printer pw, java.lang.String prefix) { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.inputmethod.EditorInfo> CREATOR;
static { CREATOR = null; }

public static final int IME_ACTION_DONE = 6; // 0x6

public static final int IME_ACTION_GO = 2; // 0x2

public static final int IME_ACTION_NEXT = 5; // 0x5

public static final int IME_ACTION_NONE = 1; // 0x1

public static final int IME_ACTION_PREVIOUS = 7; // 0x7

public static final int IME_ACTION_SEARCH = 3; // 0x3

public static final int IME_ACTION_SEND = 4; // 0x4

public static final int IME_ACTION_UNSPECIFIED = 0; // 0x0

public static final int IME_FLAG_FORCE_ASCII = -2147483648; // 0x80000000

public static final int IME_FLAG_NAVIGATE_NEXT = 134217728; // 0x8000000

public static final int IME_FLAG_NAVIGATE_PREVIOUS = 67108864; // 0x4000000

public static final int IME_FLAG_NO_ACCESSORY_ACTION = 536870912; // 0x20000000

public static final int IME_FLAG_NO_ENTER_ACTION = 1073741824; // 0x40000000

public static final int IME_FLAG_NO_EXTRACT_UI = 268435456; // 0x10000000

public static final int IME_FLAG_NO_FULLSCREEN = 33554432; // 0x2000000

public static final int IME_FLAG_NO_PERSONALIZED_LEARNING = 16777216; // 0x1000000

public static final int IME_MASK_ACTION = 255; // 0xff

public static final int IME_NULL = 0; // 0x0

public int actionId = 0; // 0x0

public java.lang.CharSequence actionLabel;

@android.annotation.Nullable public java.lang.String[] contentMimeTypes;

public android.os.Bundle extras;

public int fieldId;

public java.lang.String fieldName;

@android.annotation.Nullable public android.os.LocaleList hintLocales;

public java.lang.CharSequence hintText;

public int imeOptions = 0; // 0x0

public int initialCapsMode = 0; // 0x0

public int initialSelEnd = -1; // 0xffffffff

public int initialSelStart = -1; // 0xffffffff

public int inputType = 0; // 0x0

public java.lang.CharSequence label;

public java.lang.String packageName;

public java.lang.String privateImeOptions;
}

