/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view.inputmethod;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class InlineSuggestionsRequest implements android.os.Parcelable {

InlineSuggestionsRequest() { throw new RuntimeException("Stub!"); }

public int getMaxSuggestionCount() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.widget.inline.InlinePresentationSpec> getInlinePresentationSpecs() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getHostPackageName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.LocaleList getSupportedLocales() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.widget.inline.InlinePresentationSpec getInlineTooltipPresentationSpec() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.inputmethod.InlineSuggestionsRequest> CREATOR;
static { CREATOR = null; }

public static final int SUGGESTION_COUNT_UNLIMITED = 2147483647; // 0x7fffffff
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.util.List<android.widget.inline.InlinePresentationSpec> inlinePresentationSpecs) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.InlineSuggestionsRequest.Builder setMaxSuggestionCount(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.InlineSuggestionsRequest.Builder setInlinePresentationSpecs(@android.annotation.NonNull java.util.List<android.widget.inline.InlinePresentationSpec> value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.InlineSuggestionsRequest.Builder addInlinePresentationSpecs(@android.annotation.NonNull android.widget.inline.InlinePresentationSpec value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.InlineSuggestionsRequest.Builder setSupportedLocales(@android.annotation.NonNull android.os.LocaleList value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.InlineSuggestionsRequest.Builder setExtras(@android.annotation.NonNull android.os.Bundle value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.InlineSuggestionsRequest.Builder setInlineTooltipPresentationSpec(@android.annotation.NonNull android.widget.inline.InlinePresentationSpec value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.InlineSuggestionsRequest build() { throw new RuntimeException("Stub!"); }
}

}

