/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.view.textclassifier;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ConversationActions implements android.os.Parcelable {

public ConversationActions(@android.annotation.NonNull java.util.List<android.view.textclassifier.ConversationAction> conversationActions, @android.annotation.Nullable java.lang.String id) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.view.textclassifier.ConversationAction> getConversationActions() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.textclassifier.ConversationActions> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Message implements android.os.Parcelable {

private Message() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.Person getAuthor() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.time.ZonedDateTime getReferenceTime() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getText() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.textclassifier.ConversationActions.Message> CREATOR;
static { CREATOR = null; }

@android.annotation.NonNull public static final android.app.Person PERSON_USER_OTHERS;
static { PERSON_USER_OTHERS = null; }

@android.annotation.NonNull public static final android.app.Person PERSON_USER_SELF;
static { PERSON_USER_SELF = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull android.app.Person author) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Message.Builder setText(@android.annotation.Nullable java.lang.CharSequence text) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Message.Builder setReferenceTime(@android.annotation.Nullable java.time.ZonedDateTime referenceTime) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Message.Builder setExtras(@android.annotation.Nullable android.os.Bundle bundle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Message build() { throw new RuntimeException("Stub!"); }
}

}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Request implements android.os.Parcelable {

private Request() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.TextClassifier.EntityConfig getTypeConfig() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.view.textclassifier.ConversationActions.Message> getConversation() { throw new RuntimeException("Stub!"); }

public int getMaxSuggestions() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getHints() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getCallingPackageName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.textclassifier.ConversationActions.Request> CREATOR;
static { CREATOR = null; }

public static final java.lang.String HINT_FOR_IN_APP = "in_app";

public static final java.lang.String HINT_FOR_NOTIFICATION = "notification";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.util.List<android.view.textclassifier.ConversationActions.Message> conversation) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Request.Builder setHints(@android.annotation.Nullable java.util.List<java.lang.String> hints) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Request.Builder setTypeConfig(@android.annotation.Nullable android.view.textclassifier.TextClassifier.EntityConfig typeConfig) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Request.Builder setMaxSuggestions(int maxSuggestions) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Request.Builder setExtras(@android.annotation.Nullable android.os.Bundle bundle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationActions.Request build() { throw new RuntimeException("Stub!"); }
}

}

}

