/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.widget;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class RemoteViews implements android.os.Parcelable, android.view.LayoutInflater.Filter {

public RemoteViews(java.lang.String packageName, int layoutId) { throw new RuntimeException("Stub!"); }

public RemoteViews(@android.annotation.NonNull java.lang.String packageName, int layoutId, int viewId) { throw new RuntimeException("Stub!"); }

public RemoteViews(android.widget.RemoteViews landscape, android.widget.RemoteViews portrait) { throw new RuntimeException("Stub!"); }

public RemoteViews(@android.annotation.NonNull java.util.Map<android.util.SizeF,android.widget.RemoteViews> remoteViews) { throw new RuntimeException("Stub!"); }

public RemoteViews(android.widget.RemoteViews src) { throw new RuntimeException("Stub!"); }

public RemoteViews(android.os.Parcel parcel) { throw new RuntimeException("Stub!"); }

@Deprecated
public android.widget.RemoteViews clone() { throw new RuntimeException("Stub!"); }

public java.lang.String getPackage() { throw new RuntimeException("Stub!"); }

public int getLayoutId() { throw new RuntimeException("Stub!"); }

public void addView(int viewId, android.widget.RemoteViews nestedView) { throw new RuntimeException("Stub!"); }

public void addStableView(int viewId, @android.annotation.NonNull android.widget.RemoteViews nestedView, int stableId) { throw new RuntimeException("Stub!"); }

public void removeAllViews(int viewId) { throw new RuntimeException("Stub!"); }

public void showNext(int viewId) { throw new RuntimeException("Stub!"); }

public void showPrevious(int viewId) { throw new RuntimeException("Stub!"); }

public void setDisplayedChild(int viewId, int childIndex) { throw new RuntimeException("Stub!"); }

public void setViewVisibility(int viewId, int visibility) { throw new RuntimeException("Stub!"); }

public void setTextViewText(int viewId, java.lang.CharSequence text) { throw new RuntimeException("Stub!"); }

public void setTextViewTextSize(int viewId, int units, float size) { throw new RuntimeException("Stub!"); }

public void setTextViewCompoundDrawables(int viewId, int left, int top, int right, int bottom) { throw new RuntimeException("Stub!"); }

public void setTextViewCompoundDrawablesRelative(int viewId, int start, int top, int end, int bottom) { throw new RuntimeException("Stub!"); }

public void setImageViewResource(int viewId, int srcId) { throw new RuntimeException("Stub!"); }

public void setImageViewUri(int viewId, android.net.Uri uri) { throw new RuntimeException("Stub!"); }

public void setImageViewBitmap(int viewId, android.graphics.Bitmap bitmap) { throw new RuntimeException("Stub!"); }

public void setImageViewIcon(int viewId, android.graphics.drawable.Icon icon) { throw new RuntimeException("Stub!"); }

public void setEmptyView(int viewId, int emptyViewId) { throw new RuntimeException("Stub!"); }

public void setChronometer(int viewId, long base, java.lang.String format, boolean started) { throw new RuntimeException("Stub!"); }

public void setChronometerCountDown(int viewId, boolean isCountDown) { throw new RuntimeException("Stub!"); }

public void setProgressBar(int viewId, int max, int progress, boolean indeterminate) { throw new RuntimeException("Stub!"); }

public void setOnClickPendingIntent(int viewId, android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

public void setOnClickResponse(int viewId, @android.annotation.NonNull android.widget.RemoteViews.RemoteResponse response) { throw new RuntimeException("Stub!"); }

public void setPendingIntentTemplate(int viewId, android.app.PendingIntent pendingIntentTemplate) { throw new RuntimeException("Stub!"); }

public void setOnClickFillInIntent(int viewId, android.content.Intent fillInIntent) { throw new RuntimeException("Stub!"); }

public void setOnCheckedChangeResponse(int viewId, @android.annotation.NonNull android.widget.RemoteViews.RemoteResponse response) { throw new RuntimeException("Stub!"); }

public void setTextColor(int viewId, int color) { throw new RuntimeException("Stub!"); }

@Deprecated
public void setRemoteAdapter(int appWidgetId, int viewId, android.content.Intent intent) { throw new RuntimeException("Stub!"); }

public void setRemoteAdapter(int viewId, android.content.Intent intent) { throw new RuntimeException("Stub!"); }

public void setRemoteAdapter(int viewId, @android.annotation.NonNull android.widget.RemoteViews.RemoteCollectionItems items) { throw new RuntimeException("Stub!"); }

public void setScrollPosition(int viewId, int position) { throw new RuntimeException("Stub!"); }

public void setRelativeScrollPosition(int viewId, int offset) { throw new RuntimeException("Stub!"); }

public void setViewPadding(int viewId, int left, int top, int right, int bottom) { throw new RuntimeException("Stub!"); }

public void setViewLayoutMarginDimen(int viewId, int type, int dimen) { throw new RuntimeException("Stub!"); }

public void setViewLayoutMarginAttr(int viewId, int type, int attr) { throw new RuntimeException("Stub!"); }

public void setViewLayoutMargin(int viewId, int type, float value, int units) { throw new RuntimeException("Stub!"); }

public void setViewLayoutWidth(int viewId, float width, int units) { throw new RuntimeException("Stub!"); }

public void setViewLayoutWidthDimen(int viewId, int widthDimen) { throw new RuntimeException("Stub!"); }

public void setViewLayoutWidthAttr(int viewId, int widthAttr) { throw new RuntimeException("Stub!"); }

public void setViewLayoutHeight(int viewId, float height, int units) { throw new RuntimeException("Stub!"); }

public void setViewLayoutHeightDimen(int viewId, int heightDimen) { throw new RuntimeException("Stub!"); }

public void setViewLayoutHeightAttr(int viewId, int heightAttr) { throw new RuntimeException("Stub!"); }

public void setViewOutlinePreferredRadius(int viewId, float radius, int units) { throw new RuntimeException("Stub!"); }

public void setViewOutlinePreferredRadiusDimen(int viewId, int resId) { throw new RuntimeException("Stub!"); }

public void setViewOutlinePreferredRadiusAttr(int viewId, int attrId) { throw new RuntimeException("Stub!"); }

public void setBoolean(int viewId, java.lang.String methodName, boolean value) { throw new RuntimeException("Stub!"); }

public void setByte(int viewId, java.lang.String methodName, byte value) { throw new RuntimeException("Stub!"); }

public void setShort(int viewId, java.lang.String methodName, short value) { throw new RuntimeException("Stub!"); }

public void setInt(int viewId, java.lang.String methodName, int value) { throw new RuntimeException("Stub!"); }

public void setIntDimen(int viewId, @android.annotation.NonNull java.lang.String methodName, int dimenResource) { throw new RuntimeException("Stub!"); }

public void setIntDimen(int viewId, @android.annotation.NonNull java.lang.String methodName, float value, int unit) { throw new RuntimeException("Stub!"); }

public void setIntDimenAttr(int viewId, @android.annotation.NonNull java.lang.String methodName, int dimenAttr) { throw new RuntimeException("Stub!"); }

public void setColor(int viewId, @android.annotation.NonNull java.lang.String methodName, int colorResource) { throw new RuntimeException("Stub!"); }

public void setColorAttr(int viewId, @android.annotation.NonNull java.lang.String methodName, int colorAttribute) { throw new RuntimeException("Stub!"); }

public void setColorInt(int viewId, @android.annotation.NonNull java.lang.String methodName, int notNight, int night) { throw new RuntimeException("Stub!"); }

public void setColorStateList(int viewId, @android.annotation.NonNull java.lang.String methodName, @android.annotation.Nullable android.content.res.ColorStateList value) { throw new RuntimeException("Stub!"); }

public void setColorStateList(int viewId, @android.annotation.NonNull java.lang.String methodName, @android.annotation.Nullable android.content.res.ColorStateList notNight, @android.annotation.Nullable android.content.res.ColorStateList night) { throw new RuntimeException("Stub!"); }

public void setColorStateList(int viewId, @android.annotation.NonNull java.lang.String methodName, int colorResource) { throw new RuntimeException("Stub!"); }

public void setColorStateListAttr(int viewId, @android.annotation.NonNull java.lang.String methodName, int colorAttr) { throw new RuntimeException("Stub!"); }

public void setLong(int viewId, java.lang.String methodName, long value) { throw new RuntimeException("Stub!"); }

public void setFloat(int viewId, java.lang.String methodName, float value) { throw new RuntimeException("Stub!"); }

public void setFloatDimen(int viewId, @android.annotation.NonNull java.lang.String methodName, int dimenResource) { throw new RuntimeException("Stub!"); }

public void setFloatDimen(int viewId, @android.annotation.NonNull java.lang.String methodName, float value, int unit) { throw new RuntimeException("Stub!"); }

public void setFloatDimenAttr(int viewId, @android.annotation.NonNull java.lang.String methodName, int dimenAttr) { throw new RuntimeException("Stub!"); }

public void setDouble(int viewId, java.lang.String methodName, double value) { throw new RuntimeException("Stub!"); }

public void setChar(int viewId, java.lang.String methodName, char value) { throw new RuntimeException("Stub!"); }

public void setString(int viewId, java.lang.String methodName, java.lang.String value) { throw new RuntimeException("Stub!"); }

public void setCharSequence(int viewId, java.lang.String methodName, java.lang.CharSequence value) { throw new RuntimeException("Stub!"); }

public void setCharSequence(int viewId, @android.annotation.NonNull java.lang.String methodName, int stringResource) { throw new RuntimeException("Stub!"); }

public void setCharSequenceAttr(int viewId, @android.annotation.NonNull java.lang.String methodName, int stringAttribute) { throw new RuntimeException("Stub!"); }

public void setUri(int viewId, java.lang.String methodName, android.net.Uri value) { throw new RuntimeException("Stub!"); }

public void setBitmap(int viewId, java.lang.String methodName, android.graphics.Bitmap value) { throw new RuntimeException("Stub!"); }

public void setBlendMode(int viewId, @android.annotation.NonNull java.lang.String methodName, @android.annotation.Nullable android.graphics.BlendMode value) { throw new RuntimeException("Stub!"); }

public void setBundle(int viewId, java.lang.String methodName, android.os.Bundle value) { throw new RuntimeException("Stub!"); }

public void setIntent(int viewId, java.lang.String methodName, android.content.Intent value) { throw new RuntimeException("Stub!"); }

public void setIcon(int viewId, java.lang.String methodName, android.graphics.drawable.Icon value) { throw new RuntimeException("Stub!"); }

public void setIcon(int viewId, @android.annotation.NonNull java.lang.String methodName, @android.annotation.Nullable android.graphics.drawable.Icon notNight, @android.annotation.Nullable android.graphics.drawable.Icon night) { throw new RuntimeException("Stub!"); }

public void setContentDescription(int viewId, java.lang.CharSequence contentDescription) { throw new RuntimeException("Stub!"); }

public void setAccessibilityTraversalBefore(int viewId, int nextId) { throw new RuntimeException("Stub!"); }

public void setAccessibilityTraversalAfter(int viewId, int nextId) { throw new RuntimeException("Stub!"); }

public void setLabelFor(int viewId, int labeledId) { throw new RuntimeException("Stub!"); }

public void setCompoundButtonChecked(int viewId, boolean checked) { throw new RuntimeException("Stub!"); }

public void setRadioGroupChecked(int viewId, int checkedId) { throw new RuntimeException("Stub!"); }

public void setLightBackgroundLayoutId(int layoutId) { throw new RuntimeException("Stub!"); }

public android.view.View apply(android.content.Context context, android.view.ViewGroup parent) { throw new RuntimeException("Stub!"); }

public void reapply(android.content.Context context, android.view.View v) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean onLoadClass(java.lang.Class clazz) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int getViewId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.widget.RemoteViews> CREATOR;
static { CREATOR = null; }

public static final java.lang.String EXTRA_CHECKED = "android.widget.extra.CHECKED";

public static final java.lang.String EXTRA_SHARED_ELEMENT_BOUNDS = "android.widget.extra.SHARED_ELEMENT_BOUNDS";

public static final int MARGIN_BOTTOM = 3; // 0x3

public static final int MARGIN_END = 5; // 0x5

public static final int MARGIN_LEFT = 0; // 0x0

public static final int MARGIN_RIGHT = 2; // 0x2

public static final int MARGIN_START = 4; // 0x4

public static final int MARGIN_TOP = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class ActionException extends java.lang.RuntimeException {

public ActionException(java.lang.Exception ex) { throw new RuntimeException("Stub!"); }

public ActionException(java.lang.String message) { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class RemoteCollectionItems implements android.os.Parcelable {

RemoteCollectionItems() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public long getItemId(int position) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.widget.RemoteViews getItemView(int position) { throw new RuntimeException("Stub!"); }

public int getItemCount() { throw new RuntimeException("Stub!"); }

public int getViewTypeCount() { throw new RuntimeException("Stub!"); }

public boolean hasStableIds() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.widget.RemoteViews.RemoteCollectionItems> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.widget.RemoteViews.RemoteCollectionItems.Builder addItem(long id, @android.annotation.NonNull android.widget.RemoteViews view) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.widget.RemoteViews.RemoteCollectionItems.Builder setHasStableIds(boolean hasStableIds) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.widget.RemoteViews.RemoteCollectionItems.Builder setViewTypeCount(int viewTypeCount) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.widget.RemoteViews.RemoteCollectionItems build() { throw new RuntimeException("Stub!"); }
}

}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class RemoteResponse {

public RemoteResponse() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.widget.RemoteViews.RemoteResponse fromPendingIntent(@android.annotation.NonNull android.app.PendingIntent pendingIntent) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.widget.RemoteViews.RemoteResponse fromFillInIntent(@android.annotation.NonNull android.content.Intent fillIntent) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.widget.RemoteViews.RemoteResponse addSharedElement(int viewId, @android.annotation.NonNull java.lang.String sharedElementName) { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
@java.lang.annotation.Retention(java.lang.annotation.RetentionPolicy.RUNTIME)
@java.lang.annotation.Target({java.lang.annotation.ElementType.TYPE})
public static @interface RemoteView {
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class RemoteViewOutlineProvider extends android.view.ViewOutlineProvider {

public RemoteViewOutlineProvider(float radius) { throw new RuntimeException("Stub!"); }

public float getRadius() { throw new RuntimeException("Stub!"); }

public void getOutline(@android.annotation.NonNull android.view.View view, @android.annotation.NonNull android.graphics.Outline outline) { throw new RuntimeException("Stub!"); }
}

}

